For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Calls

List Calls

GET
https://api.vapi.ai/call
GET
/call
$curl https://api.vapi.ai/call \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "string",
4 "orgId": "string",
5 "createdAt": "2024-01-15T09:30:00Z",
6 "updatedAt": "2024-01-15T09:30:00Z",
7 "type": "inboundPhoneCall",
8 "costs": [
9 {
10 "type": "transport",
11 "provider": "daily",
12 "minutes": 1.1,
13 "cost": 1.1
14 }
15 ],
16 "messages": [
17 {
18 "role": "string",
19 "message": "string",
20 "time": 1.1,
21 "endTime": 1.1,
22 "secondsFromStart": 1.1,
23 "duration": 1.1,
24 "isFiltered": true,
25 "detectedThreats": [
26 "string"
27 ],
28 "originalMessage": "string",
29 "metadata": {},
30 "speakerLabel": "string"
31 }
32 ],
33 "phoneCallTransport": "sip",
34 "status": "scheduled",
35 "endedReason": "call-start-error-neither-assistant-nor-server-set",
36 "endedMessage": "string",
37 "destination": {
38 "message": "string",
39 "type": "number",
40 "numberE164CheckEnabled": true,
41 "number": "string",
42 "extension": "string",
43 "callerId": "string",
44 "transferPlan": {
45 "mode": "blind-transfer",
46 "message": "string",
47 "timeout": 60,
48 "sipVerb": "refer",
49 "dialTimeout": 60,
50 "holdAudioUrl": "string",
51 "transferCompleteAudioUrl": "string",
52 "contextEngineeringPlan": {
53 "type": "lastNMessages",
54 "maxMessages": 1.1
55 },
56 "twiml": "string",
57 "summaryPlan": {
58 "messages": [
59 {}
60 ],
61 "enabled": true,
62 "timeoutSeconds": 1.1
63 },
64 "sipHeadersInReferToEnabled": true,
65 "fallbackPlan": {
66 "message": "string",
67 "endCallEnabled": true
68 }
69 },
70 "description": "string"
71 },
72 "startedAt": "2024-01-15T09:30:00Z",
73 "endedAt": "2024-01-15T09:30:00Z",
74 "cost": 1.1,
75 "costBreakdown": {
76 "transport": 1.1,
77 "stt": 1.1,
78 "llm": 1.1,
79 "tts": 1.1,
80 "vapi": 1.1,
81 "chat": 1.1,
82 "total": 1.1,
83 "llmPromptTokens": 1.1,
84 "llmCompletionTokens": 1.1,
85 "llmCachedPromptTokens": 1.1,
86 "ttsCharacters": 1.1,
87 "analysisCostBreakdown": {
88 "summary": 1.1,
89 "summaryPromptTokens": 1.1,
90 "summaryCompletionTokens": 1.1,
91 "summaryCachedPromptTokens": 1.1,
92 "structuredData": 1.1,
93 "structuredDataPromptTokens": 1.1,
94 "structuredDataCompletionTokens": 1.1,
95 "structuredDataCachedPromptTokens": 1.1,
96 "successEvaluation": 1.1,
97 "successEvaluationPromptTokens": 1.1,
98 "successEvaluationCompletionTokens": 1.1,
99 "successEvaluationCachedPromptTokens": 1.1,
100 "structuredOutput": 1.1,
101 "structuredOutputPromptTokens": 1.1,
102 "structuredOutputCompletionTokens": 1.1,
103 "structuredOutputCachedPromptTokens": 1.1
104 }
105 },
106 "artifactPlan": {
107 "recordingEnabled": true,
108 "recordingFormat": "wav;l16",
109 "recordingUseCustomStorageEnabled": true,
110 "videoRecordingEnabled": false,
111 "fullMessageHistoryEnabled": false,
112 "pcapEnabled": true,
113 "pcapS3PathPrefix": "/pcaps",
114 "pcapUseCustomStorageEnabled": true,
115 "loggingEnabled": true,
116 "loggingUseCustomStorageEnabled": true,
117 "transcriptPlan": {
118 "enabled": true,
119 "assistantName": "string",
120 "userName": "string"
121 },
122 "recordingPath": "string",
123 "structuredOutputIds": [
124 "string"
125 ],
126 "structuredOutputs": [
127 {
128 "name": "string",
129 "schema": {
130 "type": "string",
131 "items": {},
132 "properties": {},
133 "description": "string",
134 "pattern": "string",
135 "format": "date-time",
136 "required": [
137 "string"
138 ],
139 "enum": [
140 "string"
141 ],
142 "title": "string"
143 },
144 "type": "ai",
145 "regex": "string",
146 "model": {
147 "provider": "openai",
148 "model": "gpt-5.4",
149 "temperature": 1.1,
150 "maxTokens": 5030
151 },
152 "compliancePlan": {
153 "forceStoreOnHipaaEnabled": false
154 },
155 "description": "string",
156 "assistantIds": [
157 "string"
158 ],
159 "workflowIds": [
160 "string"
161 ]
162 }
163 ],
164 "scorecardIds": [
165 "string"
166 ],
167 "scorecards": [
168 {
169 "metrics": [
170 {
171 "structuredOutputId": "string",
172 "conditions": [
173 {}
174 ]
175 }
176 ],
177 "name": "string",
178 "description": "string",
179 "assistantIds": [
180 "string"
181 ]
182 }
183 ],
184 "loggingPath": "string"
185 },
186 "analysis": {
187 "summary": "string",
188 "structuredData": {},
189 "structuredDataMulti": [
190 {}
191 ],
192 "successEvaluation": "string"
193 },
194 "monitor": {
195 "monitors": [
196 {
197 "monitorId": "string",
198 "filterPassed": true
199 }
200 ],
201 "listenUrl": "string",
202 "controlUrl": "string"
203 },
204 "artifact": {
205 "messages": [
206 {
207 "role": "string",
208 "message": "string",
209 "time": 1.1,
210 "endTime": 1.1,
211 "secondsFromStart": 1.1,
212 "duration": 1.1,
213 "isFiltered": true,
214 "detectedThreats": [
215 "string"
216 ],
217 "originalMessage": "string",
218 "metadata": {},
219 "speakerLabel": "string"
220 }
221 ],
222 "messagesOpenAIFormatted": [
223 {
224 "content": "string",
225 "role": "assistant"
226 }
227 ],
228 "recording": {
229 "stereoUrl": "string",
230 "videoUrl": "string",
231 "videoRecordingStartDelaySeconds": 1.1,
232 "mono": {
233 "combinedUrl": "string",
234 "assistantUrl": "string",
235 "customerUrl": "string"
236 }
237 },
238 "transcript": "string",
239 "pcapUrl": "string",
240 "logUrl": "string",
241 "nodes": [
242 {
243 "messages": [
244 {
245 "role": "string",
246 "message": "string",
247 "time": 1.1,
248 "endTime": 1.1,
249 "secondsFromStart": 1.1,
250 "duration": 1.1,
251 "isFiltered": true,
252 "detectedThreats": [
253 "string"
254 ],
255 "originalMessage": "string",
256 "metadata": {},
257 "speakerLabel": "string"
258 }
259 ],
260 "nodeName": "string",
261 "variableValues": {}
262 }
263 ],
264 "assistantActivations": [
265 {
266 "assistantName": "string",
267 "assistantId": "string"
268 }
269 ],
270 "variableValues": {},
271 "performanceMetrics": {
272 "turnLatencies": [
273 {
274 "modelLatency": 1.1,
275 "voiceLatency": 1.1,
276 "transcriberLatency": 1.1,
277 "endpointingLatency": 1.1,
278 "turnLatency": 1.1
279 }
280 ],
281 "modelLatencyAverage": 1.1,
282 "voiceLatencyAverage": 1.1,
283 "transcriberLatencyAverage": 1.1,
284 "endpointingLatencyAverage": 1.1,
285 "turnLatencyAverage": 1.1,
286 "fromTransportLatencyAverage": 1.1,
287 "toTransportLatencyAverage": 1.1,
288 "numUserInterrupted": 1.1,
289 "numAssistantInterrupted": 1.1
290 },
291 "structuredOutputs": {},
292 "scorecards": {},
293 "transfers": [
294 "string"
295 ],
296 "structuredOutputsLastUpdatedAt": "2024-01-15T09:30:00Z",
297 "recordingUrl": "string",
298 "stereoRecordingUrl": "string",
299 "videoRecordingUrl": "string",
300 "videoRecordingStartDelaySeconds": 1.1
301 },
302 "compliance": {
303 "recordingConsent": {
304 "type": {},
305 "grantedAt": "2024-01-15T09:30:00Z"
306 }
307 },
308 "campaignId": "string",
309 "assistantId": "string",
310 "assistant": {
311 "transcriber": {
312 "provider": "assembly-ai",
313 "language": "multi",
314 "confidenceThreshold": 0.4,
315 "formatTurns": true,
316 "endOfTurnConfidenceThreshold": 0.7,
317 "minEndOfTurnSilenceWhenConfident": 160,
318 "wordFinalizationMaxWaitTime": 160,
319 "maxTurnSilence": 400,
320 "vadAssistedEndpointingEnabled": true,
321 "speechModel": "universal-streaming-english",
322 "realtimeUrl": "string",
323 "wordBoost": [
324 "string"
325 ],
326 "keytermsPrompt": [
327 "string"
328 ],
329 "endUtteranceSilenceThreshold": 1.1,
330 "disablePartialTranscripts": true,
331 "fallbackPlan": {
332 "transcribers": [
333 {
334 "provider": "assembly-ai",
335 "language": "multi",
336 "confidenceThreshold": 0.4,
337 "formatTurns": true,
338 "endOfTurnConfidenceThreshold": 0.7,
339 "minEndOfTurnSilenceWhenConfident": 160,
340 "wordFinalizationMaxWaitTime": 160,
341 "maxTurnSilence": 400,
342 "vadAssistedEndpointingEnabled": true,
343 "speechModel": "universal-streaming-english",
344 "realtimeUrl": "string",
345 "wordBoost": [
346 "string"
347 ],
348 "keytermsPrompt": [
349 "string"
350 ],
351 "endUtteranceSilenceThreshold": 1.1,
352 "disablePartialTranscripts": true
353 }
354 ]
355 }
356 },
357 "model": {
358 "messages": [
359 {
360 "content": "string",
361 "role": "assistant"
362 }
363 ],
364 "tools": [
365 {
366 "messages": [
367 {
368 "contents": [
369 {
370 "type": "text",
371 "text": "string",
372 "language": "aa"
373 }
374 ],
375 "type": "request-start",
376 "blocking": false,
377 "content": "string",
378 "conditions": [
379 {
380 "operator": "eq",
381 "param": "string",
382 "value": "string"
383 }
384 ]
385 }
386 ],
387 "type": "apiRequest",
388 "method": "POST",
389 "timeoutSeconds": 20,
390 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
391 "encryptedPaths": [
392 "string"
393 ],
394 "parameters": [
395 {
396 "key": "string",
397 "value": {}
398 }
399 ],
400 "name": "string",
401 "description": "string",
402 "url": "string",
403 "body": {
404 "type": "string",
405 "items": {},
406 "properties": {},
407 "description": "string",
408 "pattern": "string",
409 "format": "date-time",
410 "required": [
411 "string"
412 ],
413 "enum": [
414 "string"
415 ],
416 "title": "string"
417 },
418 "headers": {
419 "type": "string",
420 "items": {},
421 "properties": {},
422 "description": "string",
423 "pattern": "string",
424 "format": "date-time",
425 "required": [
426 "string"
427 ],
428 "enum": [
429 "string"
430 ],
431 "title": "string"
432 },
433 "backoffPlan": {
434 "type": "fixed",
435 "maxRetries": 0,
436 "baseDelaySeconds": 1,
437 "excludedStatusCodes": [
438 400,
439 401,
440 403,
441 404
442 ]
443 },
444 "variableExtractionPlan": {
445 "schema": {
446 "type": "string",
447 "items": {},
448 "properties": {},
449 "description": "string",
450 "pattern": "string",
451 "format": "date-time",
452 "required": [
453 "string"
454 ],
455 "enum": [
456 "string"
457 ],
458 "title": "string"
459 },
460 "aliases": [
461 {
462 "key": "string",
463 "value": "string"
464 }
465 ]
466 },
467 "rejectionPlan": {
468 "conditions": [
469 {
470 "type": "regex",
471 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
472 }
473 ]
474 }
475 }
476 ],
477 "toolIds": [
478 "string"
479 ],
480 "knowledgeBase": {
481 "provider": "custom-knowledge-base",
482 "server": {
483 "timeoutSeconds": 20,
484 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
485 "staticIpAddressesEnabled": false,
486 "encryptedPaths": [
487 "string"
488 ],
489 "url": "string",
490 "headers": {},
491 "backoffPlan": {
492 "type": "fixed",
493 "maxRetries": 0,
494 "baseDelaySeconds": 1,
495 "excludedStatusCodes": [
496 400,
497 401,
498 403,
499 404
500 ]
501 }
502 }
503 },
504 "model": "claude-3-opus-20240229",
505 "provider": "anthropic",
506 "thinking": {
507 "type": "enabled",
508 "budgetTokens": 50500
509 },
510 "temperature": 1.1,
511 "maxTokens": 5030,
512 "emotionRecognitionEnabled": true,
513 "numFastTurns": 1.1
514 },
515 "voice": {
516 "cachingEnabled": true,
517 "provider": "azure",
518 "voiceId": "andrew",
519 "chunkPlan": {
520 "enabled": true,
521 "minCharacters": 30,
522 "punctuationBoundaries": "。",
523 "formatPlan": {
524 "enabled": true,
525 "numberToDigitsCutoff": 2025,
526 "replacements": [
527 {
528 "type": "exact",
529 "replaceAllEnabled": false,
530 "key": "string",
531 "value": "string"
532 }
533 ],
534 "formattersEnabled": "markdown"
535 }
536 },
537 "speed": 1.1,
538 "fallbackPlan": {
539 "voices": [
540 {
541 "cachingEnabled": true,
542 "provider": "azure",
543 "voiceId": "andrew",
544 "speed": 1.1,
545 "chunkPlan": {
546 "enabled": true,
547 "minCharacters": 30,
548 "punctuationBoundaries": "。",
549 "formatPlan": {
550 "enabled": true,
551 "numberToDigitsCutoff": 2025,
552 "replacements": {},
553 "formattersEnabled": {}
554 }
555 },
556 "oneOf": null
557 }
558 ]
559 }
560 },
561 "firstMessage": "Hello! How can I help you today?",
562 "firstMessageInterruptionsEnabled": false,
563 "firstMessageMode": "assistant-speaks-first",
564 "voicemailDetection": "off",
565 "clientMessages": "conversation-update",
566 "serverMessages": "assistant.started",
567 "maxDurationSeconds": 600,
568 "backgroundSound": "off",
569 "modelOutputInMessagesEnabled": false,
570 "transportConfigurations": [
571 {
572 "provider": "twilio",
573 "timeout": 60,
574 "record": false,
575 "recordingChannels": "mono"
576 }
577 ],
578 "observabilityPlan": {
579 "provider": "langfuse",
580 "tags": [
581 "string"
582 ],
583 "promptName": "string",
584 "promptVersion": 1.1,
585 "traceName": "string",
586 "metadata": {}
587 },
588 "credentials": [
589 {
590 "provider": "anthropic",
591 "apiKey": "string",
592 "name": "string"
593 }
594 ],
595 "hooks": [
596 {
597 "on": "call.ending",
598 "do": [
599 {
600 "type": "tool",
601 "tool": {
602 "messages": [
603 {
604 "contents": [
605 {
606 "type": {},
607 "text": {},
608 "language": {}
609 }
610 ],
611 "type": "request-start",
612 "blocking": false,
613 "content": "string",
614 "conditions": [
615 {
616 "operator": "eq",
617 "param": "string",
618 "value": "string"
619 }
620 ]
621 }
622 ],
623 "type": "apiRequest",
624 "method": "POST",
625 "timeoutSeconds": 20,
626 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
627 "encryptedPaths": [
628 "string"
629 ],
630 "parameters": [
631 {
632 "key": "string",
633 "value": {}
634 }
635 ],
636 "name": "string",
637 "description": "string",
638 "url": "string",
639 "body": {
640 "type": "string",
641 "items": {},
642 "properties": {},
643 "description": "string",
644 "pattern": "string",
645 "format": "date-time",
646 "required": [
647 "string"
648 ],
649 "enum": [
650 "string"
651 ],
652 "title": "string"
653 },
654 "headers": {
655 "type": "string",
656 "items": {},
657 "properties": {},
658 "description": "string",
659 "pattern": "string",
660 "format": "date-time",
661 "required": [
662 "string"
663 ],
664 "enum": [
665 "string"
666 ],
667 "title": "string"
668 },
669 "backoffPlan": {
670 "type": "fixed",
671 "maxRetries": 0,
672 "baseDelaySeconds": 1,
673 "excludedStatusCodes": [
674 400,
675 401,
676 403,
677 404
678 ]
679 },
680 "variableExtractionPlan": {
681 "schema": {
682 "type": {},
683 "items": {},
684 "properties": {},
685 "description": {},
686 "pattern": {},
687 "format": {},
688 "required": {},
689 "enum": {},
690 "title": {}
691 },
692 "aliases": [
693 {
694 "key": "string",
695 "value": "string"
696 }
697 ]
698 },
699 "rejectionPlan": {
700 "conditions": [
701 {
702 "type": "regex",
703 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
704 }
705 ]
706 }
707 },
708 "toolId": "string"
709 }
710 ],
711 "filters": [
712 {
713 "type": "oneOf",
714 "key": "string",
715 "oneOf": [
716 "string"
717 ]
718 }
719 ]
720 }
721 ],
722 "name": "string",
723 "voicemailMessage": "string",
724 "endCallMessage": "string",
725 "endCallPhrases": [
726 "string"
727 ],
728 "compliancePlan": {
729 "hipaaEnabled": true,
730 "pciEnabled": {
731 "pciEnabled": false
732 },
733 "securityFilterPlan": {
734 "enabled": false,
735 "filters": [
736 {}
737 ],
738 "mode": "sanitize",
739 "replacementText": "[FILTERED]"
740 },
741 "recordingConsentPlan": {
742 "type": "stay-on-line",
743 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
744 "voice": {
745 "cachingEnabled": true,
746 "provider": "azure",
747 "voiceId": "andrew",
748 "chunkPlan": {
749 "enabled": true,
750 "minCharacters": 30,
751 "punctuationBoundaries": "。",
752 "formatPlan": {
753 "enabled": true,
754 "numberToDigitsCutoff": 2025,
755 "replacements": [
756 {}
757 ],
758 "formattersEnabled": "markdown"
759 }
760 },
761 "speed": 1.1,
762 "fallbackPlan": {
763 "voices": [
764 {
765 "cachingEnabled": true,
766 "provider": "azure",
767 "voiceId": "andrew",
768 "speed": 1.1,
769 "chunkPlan": {},
770 "oneOf": null
771 }
772 ]
773 }
774 },
775 "waitSeconds": 3
776 }
777 },
778 "metadata": {},
779 "backgroundSpeechDenoisingPlan": {
780 "smartDenoisingPlan": {
781 "enabled": true
782 },
783 "fourierDenoisingPlan": {
784 "enabled": false,
785 "mediaDetectionEnabled": true,
786 "staticThreshold": -35,
787 "baselineOffsetDb": -15,
788 "windowSizeMs": 3000,
789 "baselinePercentile": 85
790 }
791 },
792 "analysisPlan": {
793 "summaryPlan": {
794 "messages": [
795 {}
796 ],
797 "enabled": true,
798 "timeoutSeconds": 1.1
799 },
800 "structuredDataPlan": {
801 "messages": [
802 {}
803 ],
804 "enabled": true,
805 "schema": {
806 "type": "string",
807 "items": {},
808 "properties": {},
809 "description": "string",
810 "pattern": "string",
811 "format": "date-time",
812 "required": [
813 "string"
814 ],
815 "enum": [
816 "string"
817 ],
818 "title": "string"
819 },
820 "timeoutSeconds": 1.1
821 },
822 "successEvaluationPlan": {
823 "rubric": "NumericScale",
824 "messages": [
825 {}
826 ],
827 "enabled": true,
828 "timeoutSeconds": 1.1
829 },
830 "minMessagesThreshold": 1.1,
831 "structuredDataMultiPlan": [
832 {
833 "key": "string",
834 "plan": {
835 "messages": [
836 {}
837 ],
838 "enabled": true,
839 "schema": {
840 "type": "string",
841 "items": {},
842 "properties": {},
843 "description": "string",
844 "pattern": "string",
845 "format": "date-time",
846 "required": [
847 "string"
848 ],
849 "enum": [
850 "string"
851 ],
852 "title": "string"
853 },
854 "timeoutSeconds": 1.1
855 }
856 }
857 ],
858 "outcomeIds": [
859 "string"
860 ]
861 },
862 "artifactPlan": {
863 "recordingEnabled": true,
864 "recordingFormat": "wav;l16",
865 "recordingUseCustomStorageEnabled": true,
866 "videoRecordingEnabled": false,
867 "fullMessageHistoryEnabled": false,
868 "pcapEnabled": true,
869 "pcapS3PathPrefix": "/pcaps",
870 "pcapUseCustomStorageEnabled": true,
871 "loggingEnabled": true,
872 "loggingUseCustomStorageEnabled": true,
873 "transcriptPlan": {
874 "enabled": true,
875 "assistantName": "string",
876 "userName": "string"
877 },
878 "recordingPath": "string",
879 "structuredOutputIds": [
880 "string"
881 ],
882 "structuredOutputs": [
883 {
884 "name": "string",
885 "schema": {
886 "type": "string",
887 "items": {},
888 "properties": {},
889 "description": "string",
890 "pattern": "string",
891 "format": "date-time",
892 "required": [
893 "string"
894 ],
895 "enum": [
896 "string"
897 ],
898 "title": "string"
899 },
900 "type": "ai",
901 "regex": "string",
902 "model": {
903 "provider": "openai",
904 "model": "gpt-5.4",
905 "temperature": 1.1,
906 "maxTokens": 5030
907 },
908 "compliancePlan": {
909 "forceStoreOnHipaaEnabled": false
910 },
911 "description": "string",
912 "assistantIds": [
913 "string"
914 ],
915 "workflowIds": [
916 "string"
917 ]
918 }
919 ],
920 "scorecardIds": [
921 "string"
922 ],
923 "scorecards": [
924 {
925 "metrics": [
926 {
927 "structuredOutputId": "string",
928 "conditions": [
929 {}
930 ]
931 }
932 ],
933 "name": "string",
934 "description": "string",
935 "assistantIds": [
936 "string"
937 ]
938 }
939 ],
940 "loggingPath": "string"
941 },
942 "startSpeakingPlan": {
943 "waitSeconds": 0.4,
944 "smartEndpointingPlan": {
945 "provider": "vapi"
946 },
947 "customEndpointingRules": [
948 {
949 "type": "assistant",
950 "regex": "string",
951 "regexOptions": [
952 {
953 "type": "ignore-case",
954 "enabled": true
955 }
956 ],
957 "timeoutSeconds": 1.1
958 }
959 ],
960 "transcriptionEndpointingPlan": {
961 "onPunctuationSeconds": 0.1,
962 "onNoPunctuationSeconds": 1.5,
963 "onNumberSeconds": 0.5
964 },
965 "smartEndpointingEnabled": false
966 },
967 "stopSpeakingPlan": {
968 "numWords": 0,
969 "voiceSeconds": 0.2,
970 "backoffSeconds": 1,
971 "acknowledgementPhrases": [
972 "i understand",
973 "i see",
974 "i got it",
975 "i hear you",
976 "im listening",
977 "im with you",
978 "right",
979 "okay",
980 "ok",
981 "sure",
982 "alright",
983 "got it",
984 "understood",
985 "yeah",
986 "yes",
987 "uh-huh",
988 "mm-hmm",
989 "gotcha",
990 "mhmm",
991 "ah",
992 "yeah okay",
993 "yeah sure"
994 ],
995 "interruptionPhrases": [
996 "stop",
997 "shut",
998 "up",
999 "enough",
1000 "quiet",
1001 "silence",
1002 "but",
1003 "dont",
1004 "not",
1005 "no",
1006 "hold",
1007 "wait",
1008 "cut",
1009 "pause",
1010 "nope",
1011 "nah",
1012 "nevermind",
1013 "never",
1014 "bad",
1015 "actually"
1016 ]
1017 },
1018 "monitorPlan": {
1019 "listenEnabled": false,
1020 "listenAuthenticationEnabled": false,
1021 "controlEnabled": false,
1022 "controlAuthenticationEnabled": false,
1023 "monitorIds": [
1024 "123e4567-e89b-12d3-a456-426614174000"
1025 ]
1026 },
1027 "credentialIds": [
1028 "string"
1029 ],
1030 "server": {
1031 "timeoutSeconds": 20,
1032 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1033 "staticIpAddressesEnabled": false,
1034 "encryptedPaths": [
1035 "string"
1036 ],
1037 "url": "string",
1038 "headers": {},
1039 "backoffPlan": {
1040 "type": "fixed",
1041 "maxRetries": 0,
1042 "baseDelaySeconds": 1,
1043 "excludedStatusCodes": [
1044 400,
1045 401,
1046 403,
1047 404
1048 ]
1049 }
1050 },
1051 "keypadInputPlan": {
1052 "enabled": true,
1053 "timeoutSeconds": 1.1,
1054 "delimiters": "#"
1055 }
1056 },
1057 "assistantOverrides": {
1058 "transcriber": {
1059 "provider": "assembly-ai",
1060 "language": "multi",
1061 "confidenceThreshold": 0.4,
1062 "formatTurns": true,
1063 "endOfTurnConfidenceThreshold": 0.7,
1064 "minEndOfTurnSilenceWhenConfident": 160,
1065 "wordFinalizationMaxWaitTime": 160,
1066 "maxTurnSilence": 400,
1067 "vadAssistedEndpointingEnabled": true,
1068 "speechModel": "universal-streaming-english",
1069 "realtimeUrl": "string",
1070 "wordBoost": [
1071 "string"
1072 ],
1073 "keytermsPrompt": [
1074 "string"
1075 ],
1076 "endUtteranceSilenceThreshold": 1.1,
1077 "disablePartialTranscripts": true,
1078 "fallbackPlan": {
1079 "transcribers": [
1080 {
1081 "provider": "assembly-ai",
1082 "language": "multi",
1083 "confidenceThreshold": 0.4,
1084 "formatTurns": true,
1085 "endOfTurnConfidenceThreshold": 0.7,
1086 "minEndOfTurnSilenceWhenConfident": 160,
1087 "wordFinalizationMaxWaitTime": 160,
1088 "maxTurnSilence": 400,
1089 "vadAssistedEndpointingEnabled": true,
1090 "speechModel": "universal-streaming-english",
1091 "realtimeUrl": "string",
1092 "wordBoost": [
1093 "string"
1094 ],
1095 "keytermsPrompt": [
1096 "string"
1097 ],
1098 "endUtteranceSilenceThreshold": 1.1,
1099 "disablePartialTranscripts": true
1100 }
1101 ]
1102 }
1103 },
1104 "model": {
1105 "messages": [
1106 {
1107 "content": "string",
1108 "role": "assistant"
1109 }
1110 ],
1111 "tools": [
1112 {
1113 "messages": [
1114 {
1115 "contents": [
1116 {
1117 "type": "text",
1118 "text": "string",
1119 "language": "aa"
1120 }
1121 ],
1122 "type": "request-start",
1123 "blocking": false,
1124 "content": "string",
1125 "conditions": [
1126 {
1127 "operator": "eq",
1128 "param": "string",
1129 "value": "string"
1130 }
1131 ]
1132 }
1133 ],
1134 "type": "apiRequest",
1135 "method": "POST",
1136 "timeoutSeconds": 20,
1137 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1138 "encryptedPaths": [
1139 "string"
1140 ],
1141 "parameters": [
1142 {
1143 "key": "string",
1144 "value": {}
1145 }
1146 ],
1147 "name": "string",
1148 "description": "string",
1149 "url": "string",
1150 "body": {
1151 "type": "string",
1152 "items": {},
1153 "properties": {},
1154 "description": "string",
1155 "pattern": "string",
1156 "format": "date-time",
1157 "required": [
1158 "string"
1159 ],
1160 "enum": [
1161 "string"
1162 ],
1163 "title": "string"
1164 },
1165 "headers": {
1166 "type": "string",
1167 "items": {},
1168 "properties": {},
1169 "description": "string",
1170 "pattern": "string",
1171 "format": "date-time",
1172 "required": [
1173 "string"
1174 ],
1175 "enum": [
1176 "string"
1177 ],
1178 "title": "string"
1179 },
1180 "backoffPlan": {
1181 "type": "fixed",
1182 "maxRetries": 0,
1183 "baseDelaySeconds": 1,
1184 "excludedStatusCodes": [
1185 400,
1186 401,
1187 403,
1188 404
1189 ]
1190 },
1191 "variableExtractionPlan": {
1192 "schema": {
1193 "type": "string",
1194 "items": {},
1195 "properties": {},
1196 "description": "string",
1197 "pattern": "string",
1198 "format": "date-time",
1199 "required": [
1200 "string"
1201 ],
1202 "enum": [
1203 "string"
1204 ],
1205 "title": "string"
1206 },
1207 "aliases": [
1208 {
1209 "key": "string",
1210 "value": "string"
1211 }
1212 ]
1213 },
1214 "rejectionPlan": {
1215 "conditions": [
1216 {
1217 "type": "regex",
1218 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1219 }
1220 ]
1221 }
1222 }
1223 ],
1224 "toolIds": [
1225 "string"
1226 ],
1227 "knowledgeBase": {
1228 "provider": "custom-knowledge-base",
1229 "server": {
1230 "timeoutSeconds": 20,
1231 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1232 "staticIpAddressesEnabled": false,
1233 "encryptedPaths": [
1234 "string"
1235 ],
1236 "url": "string",
1237 "headers": {},
1238 "backoffPlan": {
1239 "type": "fixed",
1240 "maxRetries": 0,
1241 "baseDelaySeconds": 1,
1242 "excludedStatusCodes": [
1243 400,
1244 401,
1245 403,
1246 404
1247 ]
1248 }
1249 }
1250 },
1251 "model": "claude-3-opus-20240229",
1252 "provider": "anthropic",
1253 "thinking": {
1254 "type": "enabled",
1255 "budgetTokens": 50500
1256 },
1257 "temperature": 1.1,
1258 "maxTokens": 5030,
1259 "emotionRecognitionEnabled": true,
1260 "numFastTurns": 1.1
1261 },
1262 "voice": {
1263 "cachingEnabled": true,
1264 "provider": "azure",
1265 "voiceId": "andrew",
1266 "chunkPlan": {
1267 "enabled": true,
1268 "minCharacters": 30,
1269 "punctuationBoundaries": "。",
1270 "formatPlan": {
1271 "enabled": true,
1272 "numberToDigitsCutoff": 2025,
1273 "replacements": [
1274 {
1275 "type": "exact",
1276 "replaceAllEnabled": false,
1277 "key": "string",
1278 "value": "string"
1279 }
1280 ],
1281 "formattersEnabled": "markdown"
1282 }
1283 },
1284 "speed": 1.1,
1285 "fallbackPlan": {
1286 "voices": [
1287 {
1288 "cachingEnabled": true,
1289 "provider": "azure",
1290 "voiceId": "andrew",
1291 "speed": 1.1,
1292 "chunkPlan": {
1293 "enabled": true,
1294 "minCharacters": 30,
1295 "punctuationBoundaries": "。",
1296 "formatPlan": {
1297 "enabled": true,
1298 "numberToDigitsCutoff": 2025,
1299 "replacements": {},
1300 "formattersEnabled": {}
1301 }
1302 },
1303 "oneOf": null
1304 }
1305 ]
1306 }
1307 },
1308 "firstMessage": "Hello! How can I help you today?",
1309 "firstMessageInterruptionsEnabled": false,
1310 "firstMessageMode": "assistant-speaks-first",
1311 "voicemailDetection": "off",
1312 "clientMessages": "conversation-update",
1313 "serverMessages": "assistant.started",
1314 "maxDurationSeconds": 600,
1315 "backgroundSound": "off",
1316 "modelOutputInMessagesEnabled": false,
1317 "transportConfigurations": [
1318 {
1319 "provider": "twilio",
1320 "timeout": 60,
1321 "record": false,
1322 "recordingChannels": "mono"
1323 }
1324 ],
1325 "observabilityPlan": {
1326 "provider": "langfuse",
1327 "tags": [
1328 "string"
1329 ],
1330 "promptName": "string",
1331 "promptVersion": 1.1,
1332 "traceName": "string",
1333 "metadata": {}
1334 },
1335 "credentials": [
1336 {
1337 "provider": "anthropic",
1338 "apiKey": "string",
1339 "name": "string"
1340 }
1341 ],
1342 "hooks": [
1343 {
1344 "on": "call.ending",
1345 "do": [
1346 {
1347 "type": "tool",
1348 "tool": {
1349 "messages": [
1350 {
1351 "contents": [
1352 {
1353 "type": {},
1354 "text": {},
1355 "language": {}
1356 }
1357 ],
1358 "type": "request-start",
1359 "blocking": false,
1360 "content": "string",
1361 "conditions": [
1362 {
1363 "operator": "eq",
1364 "param": "string",
1365 "value": "string"
1366 }
1367 ]
1368 }
1369 ],
1370 "type": "apiRequest",
1371 "method": "POST",
1372 "timeoutSeconds": 20,
1373 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1374 "encryptedPaths": [
1375 "string"
1376 ],
1377 "parameters": [
1378 {
1379 "key": "string",
1380 "value": {}
1381 }
1382 ],
1383 "name": "string",
1384 "description": "string",
1385 "url": "string",
1386 "body": {
1387 "type": "string",
1388 "items": {},
1389 "properties": {},
1390 "description": "string",
1391 "pattern": "string",
1392 "format": "date-time",
1393 "required": [
1394 "string"
1395 ],
1396 "enum": [
1397 "string"
1398 ],
1399 "title": "string"
1400 },
1401 "headers": {
1402 "type": "string",
1403 "items": {},
1404 "properties": {},
1405 "description": "string",
1406 "pattern": "string",
1407 "format": "date-time",
1408 "required": [
1409 "string"
1410 ],
1411 "enum": [
1412 "string"
1413 ],
1414 "title": "string"
1415 },
1416 "backoffPlan": {
1417 "type": "fixed",
1418 "maxRetries": 0,
1419 "baseDelaySeconds": 1,
1420 "excludedStatusCodes": [
1421 400,
1422 401,
1423 403,
1424 404
1425 ]
1426 },
1427 "variableExtractionPlan": {
1428 "schema": {
1429 "type": {},
1430 "items": {},
1431 "properties": {},
1432 "description": {},
1433 "pattern": {},
1434 "format": {},
1435 "required": {},
1436 "enum": {},
1437 "title": {}
1438 },
1439 "aliases": [
1440 {
1441 "key": "string",
1442 "value": "string"
1443 }
1444 ]
1445 },
1446 "rejectionPlan": {
1447 "conditions": [
1448 {
1449 "type": "regex",
1450 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1451 }
1452 ]
1453 }
1454 },
1455 "toolId": "string"
1456 }
1457 ],
1458 "filters": [
1459 {
1460 "type": "oneOf",
1461 "key": "string",
1462 "oneOf": [
1463 "string"
1464 ]
1465 }
1466 ]
1467 }
1468 ],
1469 "tools:append": [
1470 {
1471 "messages": [
1472 {
1473 "contents": [
1474 {
1475 "type": "text",
1476 "text": "string",
1477 "language": "aa"
1478 }
1479 ],
1480 "type": "request-start",
1481 "blocking": false,
1482 "content": "string",
1483 "conditions": [
1484 {
1485 "operator": "eq",
1486 "param": "string",
1487 "value": "string"
1488 }
1489 ]
1490 }
1491 ],
1492 "type": "apiRequest",
1493 "method": "POST",
1494 "timeoutSeconds": 20,
1495 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1496 "encryptedPaths": [
1497 "string"
1498 ],
1499 "parameters": [
1500 {
1501 "key": "string",
1502 "value": {}
1503 }
1504 ],
1505 "name": "string",
1506 "description": "string",
1507 "url": "string",
1508 "body": {
1509 "type": "string",
1510 "items": {},
1511 "properties": {},
1512 "description": "string",
1513 "pattern": "string",
1514 "format": "date-time",
1515 "required": [
1516 "string"
1517 ],
1518 "enum": [
1519 "string"
1520 ],
1521 "title": "string"
1522 },
1523 "headers": {
1524 "type": "string",
1525 "items": {},
1526 "properties": {},
1527 "description": "string",
1528 "pattern": "string",
1529 "format": "date-time",
1530 "required": [
1531 "string"
1532 ],
1533 "enum": [
1534 "string"
1535 ],
1536 "title": "string"
1537 },
1538 "backoffPlan": {
1539 "type": "fixed",
1540 "maxRetries": 0,
1541 "baseDelaySeconds": 1,
1542 "excludedStatusCodes": [
1543 400,
1544 401,
1545 403,
1546 404
1547 ]
1548 },
1549 "variableExtractionPlan": {
1550 "schema": {
1551 "type": "string",
1552 "items": {},
1553 "properties": {},
1554 "description": "string",
1555 "pattern": "string",
1556 "format": "date-time",
1557 "required": [
1558 "string"
1559 ],
1560 "enum": [
1561 "string"
1562 ],
1563 "title": "string"
1564 },
1565 "aliases": [
1566 {
1567 "key": "string",
1568 "value": "string"
1569 }
1570 ]
1571 },
1572 "rejectionPlan": {
1573 "conditions": [
1574 {
1575 "type": "regex",
1576 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1577 }
1578 ]
1579 }
1580 }
1581 ],
1582 "variableValues": {},
1583 "name": "string",
1584 "voicemailMessage": "string",
1585 "endCallMessage": "string",
1586 "endCallPhrases": [
1587 "string"
1588 ],
1589 "compliancePlan": {
1590 "hipaaEnabled": true,
1591 "pciEnabled": {
1592 "pciEnabled": false
1593 },
1594 "securityFilterPlan": {
1595 "enabled": false,
1596 "filters": [
1597 {}
1598 ],
1599 "mode": "sanitize",
1600 "replacementText": "[FILTERED]"
1601 },
1602 "recordingConsentPlan": {
1603 "type": "stay-on-line",
1604 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
1605 "voice": {
1606 "cachingEnabled": true,
1607 "provider": "azure",
1608 "voiceId": "andrew",
1609 "chunkPlan": {
1610 "enabled": true,
1611 "minCharacters": 30,
1612 "punctuationBoundaries": "。",
1613 "formatPlan": {
1614 "enabled": true,
1615 "numberToDigitsCutoff": 2025,
1616 "replacements": [
1617 {}
1618 ],
1619 "formattersEnabled": "markdown"
1620 }
1621 },
1622 "speed": 1.1,
1623 "fallbackPlan": {
1624 "voices": [
1625 {
1626 "cachingEnabled": true,
1627 "provider": "azure",
1628 "voiceId": "andrew",
1629 "speed": 1.1,
1630 "chunkPlan": {},
1631 "oneOf": null
1632 }
1633 ]
1634 }
1635 },
1636 "waitSeconds": 3
1637 }
1638 },
1639 "metadata": {},
1640 "backgroundSpeechDenoisingPlan": {
1641 "smartDenoisingPlan": {
1642 "enabled": true
1643 },
1644 "fourierDenoisingPlan": {
1645 "enabled": false,
1646 "mediaDetectionEnabled": true,
1647 "staticThreshold": -35,
1648 "baselineOffsetDb": -15,
1649 "windowSizeMs": 3000,
1650 "baselinePercentile": 85
1651 }
1652 },
1653 "analysisPlan": {
1654 "summaryPlan": {
1655 "messages": [
1656 {}
1657 ],
1658 "enabled": true,
1659 "timeoutSeconds": 1.1
1660 },
1661 "structuredDataPlan": {
1662 "messages": [
1663 {}
1664 ],
1665 "enabled": true,
1666 "schema": {
1667 "type": "string",
1668 "items": {},
1669 "properties": {},
1670 "description": "string",
1671 "pattern": "string",
1672 "format": "date-time",
1673 "required": [
1674 "string"
1675 ],
1676 "enum": [
1677 "string"
1678 ],
1679 "title": "string"
1680 },
1681 "timeoutSeconds": 1.1
1682 },
1683 "successEvaluationPlan": {
1684 "rubric": "NumericScale",
1685 "messages": [
1686 {}
1687 ],
1688 "enabled": true,
1689 "timeoutSeconds": 1.1
1690 },
1691 "minMessagesThreshold": 1.1,
1692 "structuredDataMultiPlan": [
1693 {
1694 "key": "string",
1695 "plan": {
1696 "messages": [
1697 {}
1698 ],
1699 "enabled": true,
1700 "schema": {
1701 "type": "string",
1702 "items": {},
1703 "properties": {},
1704 "description": "string",
1705 "pattern": "string",
1706 "format": "date-time",
1707 "required": [
1708 "string"
1709 ],
1710 "enum": [
1711 "string"
1712 ],
1713 "title": "string"
1714 },
1715 "timeoutSeconds": 1.1
1716 }
1717 }
1718 ],
1719 "outcomeIds": [
1720 "string"
1721 ]
1722 },
1723 "artifactPlan": {
1724 "recordingEnabled": true,
1725 "recordingFormat": "wav;l16",
1726 "recordingUseCustomStorageEnabled": true,
1727 "videoRecordingEnabled": false,
1728 "fullMessageHistoryEnabled": false,
1729 "pcapEnabled": true,
1730 "pcapS3PathPrefix": "/pcaps",
1731 "pcapUseCustomStorageEnabled": true,
1732 "loggingEnabled": true,
1733 "loggingUseCustomStorageEnabled": true,
1734 "transcriptPlan": {
1735 "enabled": true,
1736 "assistantName": "string",
1737 "userName": "string"
1738 },
1739 "recordingPath": "string",
1740 "structuredOutputIds": [
1741 "string"
1742 ],
1743 "structuredOutputs": [
1744 {
1745 "name": "string",
1746 "schema": {
1747 "type": "string",
1748 "items": {},
1749 "properties": {},
1750 "description": "string",
1751 "pattern": "string",
1752 "format": "date-time",
1753 "required": [
1754 "string"
1755 ],
1756 "enum": [
1757 "string"
1758 ],
1759 "title": "string"
1760 },
1761 "type": "ai",
1762 "regex": "string",
1763 "model": {
1764 "provider": "openai",
1765 "model": "gpt-5.4",
1766 "temperature": 1.1,
1767 "maxTokens": 5030
1768 },
1769 "compliancePlan": {
1770 "forceStoreOnHipaaEnabled": false
1771 },
1772 "description": "string",
1773 "assistantIds": [
1774 "string"
1775 ],
1776 "workflowIds": [
1777 "string"
1778 ]
1779 }
1780 ],
1781 "scorecardIds": [
1782 "string"
1783 ],
1784 "scorecards": [
1785 {
1786 "metrics": [
1787 {
1788 "structuredOutputId": "string",
1789 "conditions": [
1790 {}
1791 ]
1792 }
1793 ],
1794 "name": "string",
1795 "description": "string",
1796 "assistantIds": [
1797 "string"
1798 ]
1799 }
1800 ],
1801 "loggingPath": "string"
1802 },
1803 "startSpeakingPlan": {
1804 "waitSeconds": 0.4,
1805 "smartEndpointingPlan": {
1806 "provider": "vapi"
1807 },
1808 "customEndpointingRules": [
1809 {
1810 "type": "assistant",
1811 "regex": "string",
1812 "regexOptions": [
1813 {
1814 "type": "ignore-case",
1815 "enabled": true
1816 }
1817 ],
1818 "timeoutSeconds": 1.1
1819 }
1820 ],
1821 "transcriptionEndpointingPlan": {
1822 "onPunctuationSeconds": 0.1,
1823 "onNoPunctuationSeconds": 1.5,
1824 "onNumberSeconds": 0.5
1825 },
1826 "smartEndpointingEnabled": false
1827 },
1828 "stopSpeakingPlan": {
1829 "numWords": 0,
1830 "voiceSeconds": 0.2,
1831 "backoffSeconds": 1,
1832 "acknowledgementPhrases": [
1833 "i understand",
1834 "i see",
1835 "i got it",
1836 "i hear you",
1837 "im listening",
1838 "im with you",
1839 "right",
1840 "okay",
1841 "ok",
1842 "sure",
1843 "alright",
1844 "got it",
1845 "understood",
1846 "yeah",
1847 "yes",
1848 "uh-huh",
1849 "mm-hmm",
1850 "gotcha",
1851 "mhmm",
1852 "ah",
1853 "yeah okay",
1854 "yeah sure"
1855 ],
1856 "interruptionPhrases": [
1857 "stop",
1858 "shut",
1859 "up",
1860 "enough",
1861 "quiet",
1862 "silence",
1863 "but",
1864 "dont",
1865 "not",
1866 "no",
1867 "hold",
1868 "wait",
1869 "cut",
1870 "pause",
1871 "nope",
1872 "nah",
1873 "nevermind",
1874 "never",
1875 "bad",
1876 "actually"
1877 ]
1878 },
1879 "monitorPlan": {
1880 "listenEnabled": false,
1881 "listenAuthenticationEnabled": false,
1882 "controlEnabled": false,
1883 "controlAuthenticationEnabled": false,
1884 "monitorIds": [
1885 "123e4567-e89b-12d3-a456-426614174000"
1886 ]
1887 },
1888 "credentialIds": [
1889 "string"
1890 ],
1891 "server": {
1892 "timeoutSeconds": 20,
1893 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1894 "staticIpAddressesEnabled": false,
1895 "encryptedPaths": [
1896 "string"
1897 ],
1898 "url": "string",
1899 "headers": {},
1900 "backoffPlan": {
1901 "type": "fixed",
1902 "maxRetries": 0,
1903 "baseDelaySeconds": 1,
1904 "excludedStatusCodes": [
1905 400,
1906 401,
1907 403,
1908 404
1909 ]
1910 }
1911 },
1912 "keypadInputPlan": {
1913 "enabled": true,
1914 "timeoutSeconds": 1.1,
1915 "delimiters": "#"
1916 }
1917 },
1918 "squadId": "string",
1919 "squad": {
1920 "members": [
1921 {
1922 "assistantDestinations": [
1923 {
1924 "message": "string",
1925 "type": "assistant",
1926 "transferMode": "rolling-history",
1927 "assistantName": "string",
1928 "description": "string"
1929 }
1930 ],
1931 "assistantId": "string",
1932 "assistant": {
1933 "transcriber": {
1934 "provider": "assembly-ai",
1935 "language": "multi",
1936 "confidenceThreshold": 0.4,
1937 "formatTurns": true,
1938 "endOfTurnConfidenceThreshold": 0.7,
1939 "minEndOfTurnSilenceWhenConfident": 160,
1940 "wordFinalizationMaxWaitTime": 160,
1941 "maxTurnSilence": 400,
1942 "vadAssistedEndpointingEnabled": true,
1943 "speechModel": "universal-streaming-english",
1944 "realtimeUrl": "string",
1945 "wordBoost": [
1946 "string"
1947 ],
1948 "keytermsPrompt": [
1949 "string"
1950 ],
1951 "endUtteranceSilenceThreshold": 1.1,
1952 "disablePartialTranscripts": true,
1953 "fallbackPlan": {
1954 "transcribers": [
1955 {
1956 "provider": "assembly-ai",
1957 "language": "multi",
1958 "confidenceThreshold": 0.4,
1959 "formatTurns": true,
1960 "endOfTurnConfidenceThreshold": 0.7,
1961 "minEndOfTurnSilenceWhenConfident": 160,
1962 "wordFinalizationMaxWaitTime": 160,
1963 "maxTurnSilence": 400,
1964 "vadAssistedEndpointingEnabled": true,
1965 "speechModel": "universal-streaming-english",
1966 "realtimeUrl": "string",
1967 "wordBoost": [
1968 "string"
1969 ],
1970 "keytermsPrompt": [
1971 "string"
1972 ],
1973 "endUtteranceSilenceThreshold": 1.1,
1974 "disablePartialTranscripts": true
1975 }
1976 ]
1977 }
1978 },
1979 "model": {
1980 "messages": [
1981 {
1982 "content": "string",
1983 "role": "assistant"
1984 }
1985 ],
1986 "tools": [
1987 {
1988 "messages": [
1989 {
1990 "contents": [
1991 {}
1992 ],
1993 "type": "request-start",
1994 "blocking": false,
1995 "content": "string",
1996 "conditions": [
1997 {
1998 "operator": {},
1999 "param": {},
2000 "value": {}
2001 }
2002 ]
2003 }
2004 ],
2005 "type": "apiRequest",
2006 "method": "POST",
2007 "timeoutSeconds": 20,
2008 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2009 "encryptedPaths": [
2010 "string"
2011 ],
2012 "parameters": [
2013 {
2014 "key": "string",
2015 "value": {}
2016 }
2017 ],
2018 "name": "string",
2019 "description": "string",
2020 "url": "string",
2021 "body": {
2022 "type": "string",
2023 "items": {},
2024 "properties": {},
2025 "description": "string",
2026 "pattern": "string",
2027 "format": "date-time",
2028 "required": [
2029 "string"
2030 ],
2031 "enum": [
2032 "string"
2033 ],
2034 "title": "string"
2035 },
2036 "headers": {
2037 "type": "string",
2038 "items": {},
2039 "properties": {},
2040 "description": "string",
2041 "pattern": "string",
2042 "format": "date-time",
2043 "required": [
2044 "string"
2045 ],
2046 "enum": [
2047 "string"
2048 ],
2049 "title": "string"
2050 },
2051 "backoffPlan": {
2052 "type": "fixed",
2053 "maxRetries": 0,
2054 "baseDelaySeconds": 1,
2055 "excludedStatusCodes": [
2056 400,
2057 401,
2058 403,
2059 404
2060 ]
2061 },
2062 "variableExtractionPlan": {
2063 "schema": {},
2064 "aliases": [
2065 {
2066 "key": {},
2067 "value": {}
2068 }
2069 ]
2070 },
2071 "rejectionPlan": {
2072 "conditions": [
2073 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
2074 ]
2075 }
2076 }
2077 ],
2078 "toolIds": [
2079 "string"
2080 ],
2081 "knowledgeBase": {
2082 "provider": "custom-knowledge-base",
2083 "server": {
2084 "timeoutSeconds": 20,
2085 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2086 "staticIpAddressesEnabled": false,
2087 "encryptedPaths": [
2088 "string"
2089 ],
2090 "url": "string",
2091 "headers": {},
2092 "backoffPlan": {}
2093 }
2094 },
2095 "model": "claude-3-opus-20240229",
2096 "provider": "anthropic",
2097 "thinking": {
2098 "type": "enabled",
2099 "budgetTokens": 50500
2100 },
2101 "temperature": 1.1,
2102 "maxTokens": 5030,
2103 "emotionRecognitionEnabled": true,
2104 "numFastTurns": 1.1
2105 },
2106 "voice": {
2107 "cachingEnabled": true,
2108 "provider": "azure",
2109 "voiceId": "andrew",
2110 "chunkPlan": {
2111 "enabled": true,
2112 "minCharacters": 30,
2113 "punctuationBoundaries": "。",
2114 "formatPlan": {
2115 "enabled": true,
2116 "numberToDigitsCutoff": 2025,
2117 "replacements": [
2118 {}
2119 ],
2120 "formattersEnabled": "markdown"
2121 }
2122 },
2123 "speed": 1.1,
2124 "fallbackPlan": {
2125 "voices": [
2126 {
2127 "cachingEnabled": true,
2128 "provider": "azure",
2129 "voiceId": "andrew",
2130 "speed": 1.1,
2131 "chunkPlan": {},
2132 "oneOf": null
2133 }
2134 ]
2135 }
2136 },
2137 "firstMessage": "Hello! How can I help you today?",
2138 "firstMessageInterruptionsEnabled": false,
2139 "firstMessageMode": "assistant-speaks-first",
2140 "voicemailDetection": "off",
2141 "clientMessages": "conversation-update",
2142 "serverMessages": "assistant.started",
2143 "maxDurationSeconds": 600,
2144 "backgroundSound": "off",
2145 "modelOutputInMessagesEnabled": false,
2146 "transportConfigurations": [
2147 {
2148 "provider": "twilio",
2149 "timeout": 60,
2150 "record": false,
2151 "recordingChannels": "mono"
2152 }
2153 ],
2154 "observabilityPlan": {
2155 "provider": "langfuse",
2156 "tags": [
2157 "string"
2158 ],
2159 "promptName": "string",
2160 "promptVersion": 1.1,
2161 "traceName": "string",
2162 "metadata": {}
2163 },
2164 "credentials": [
2165 {
2166 "provider": "anthropic",
2167 "apiKey": "string",
2168 "name": "string"
2169 }
2170 ],
2171 "hooks": [
2172 {
2173 "on": "call.ending",
2174 "do": [
2175 {
2176 "type": "tool",
2177 "tool": {
2178 "messages": [
2179 {}
2180 ],
2181 "type": "apiRequest",
2182 "method": "POST",
2183 "timeoutSeconds": 20,
2184 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2185 "encryptedPaths": [
2186 "string"
2187 ],
2188 "parameters": [
2189 {
2190 "key": {},
2191 "value": {}
2192 }
2193 ],
2194 "name": "string",
2195 "description": "string",
2196 "url": "string",
2197 "body": {},
2198 "headers": {},
2199 "backoffPlan": {},
2200 "variableExtractionPlan": {},
2201 "rejectionPlan": {}
2202 },
2203 "toolId": "string"
2204 }
2205 ],
2206 "filters": [
2207 {
2208 "type": "oneOf",
2209 "key": "string",
2210 "oneOf": [
2211 "string"
2212 ]
2213 }
2214 ]
2215 }
2216 ],
2217 "name": "string",
2218 "voicemailMessage": "string",
2219 "endCallMessage": "string",
2220 "endCallPhrases": [
2221 "string"
2222 ],
2223 "compliancePlan": {
2224 "hipaaEnabled": true,
2225 "pciEnabled": {
2226 "pciEnabled": false
2227 },
2228 "securityFilterPlan": {
2229 "enabled": false,
2230 "filters": [
2231 {}
2232 ],
2233 "mode": "sanitize",
2234 "replacementText": "[FILTERED]"
2235 },
2236 "recordingConsentPlan": {
2237 "type": "stay-on-line",
2238 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
2239 "voice": {
2240 "cachingEnabled": true,
2241 "provider": "azure",
2242 "voiceId": "andrew",
2243 "chunkPlan": {
2244 "enabled": true,
2245 "minCharacters": 30,
2246 "punctuationBoundaries": [
2247 "。",
2248 ",",
2249 ".",
2250 "!",
2251 "?",
2252 ";",
2253 "،",
2254 "۔",
2255 "।",
2256 "॥",
2257 "|",
2258 "||",
2259 ",",
2260 ":"
2261 ],
2262 "formatPlan": {}
2263 },
2264 "speed": 1.1,
2265 "fallbackPlan": {
2266 "voices": {}
2267 }
2268 },
2269 "waitSeconds": 3
2270 }
2271 },
2272 "metadata": {},
2273 "backgroundSpeechDenoisingPlan": {
2274 "smartDenoisingPlan": {
2275 "enabled": true
2276 },
2277 "fourierDenoisingPlan": {
2278 "enabled": false,
2279 "mediaDetectionEnabled": true,
2280 "staticThreshold": -35,
2281 "baselineOffsetDb": -15,
2282 "windowSizeMs": 3000,
2283 "baselinePercentile": 85
2284 }
2285 },
2286 "analysisPlan": {
2287 "summaryPlan": {
2288 "messages": [
2289 {}
2290 ],
2291 "enabled": true,
2292 "timeoutSeconds": 1.1
2293 },
2294 "structuredDataPlan": {
2295 "messages": [
2296 {}
2297 ],
2298 "enabled": true,
2299 "schema": {
2300 "type": "string",
2301 "items": {},
2302 "properties": {},
2303 "description": "string",
2304 "pattern": "string",
2305 "format": "date-time",
2306 "required": [
2307 "string"
2308 ],
2309 "enum": [
2310 "string"
2311 ],
2312 "title": "string"
2313 },
2314 "timeoutSeconds": 1.1
2315 },
2316 "successEvaluationPlan": {
2317 "rubric": "NumericScale",
2318 "messages": [
2319 {}
2320 ],
2321 "enabled": true,
2322 "timeoutSeconds": 1.1
2323 },
2324 "minMessagesThreshold": 1.1,
2325 "structuredDataMultiPlan": [
2326 {
2327 "key": "string",
2328 "plan": {
2329 "messages": [
2330 {}
2331 ],
2332 "enabled": true,
2333 "schema": {
2334 "type": {},
2335 "items": {},
2336 "properties": {},
2337 "description": {},
2338 "pattern": {},
2339 "format": {},
2340 "required": {},
2341 "enum": {},
2342 "title": {}
2343 },
2344 "timeoutSeconds": 1.1
2345 }
2346 }
2347 ],
2348 "outcomeIds": [
2349 "string"
2350 ]
2351 },
2352 "artifactPlan": {
2353 "recordingEnabled": true,
2354 "recordingFormat": "wav;l16",
2355 "recordingUseCustomStorageEnabled": true,
2356 "videoRecordingEnabled": false,
2357 "fullMessageHistoryEnabled": false,
2358 "pcapEnabled": true,
2359 "pcapS3PathPrefix": "/pcaps",
2360 "pcapUseCustomStorageEnabled": true,
2361 "loggingEnabled": true,
2362 "loggingUseCustomStorageEnabled": true,
2363 "transcriptPlan": {
2364 "enabled": true,
2365 "assistantName": "string",
2366 "userName": "string"
2367 },
2368 "recordingPath": "string",
2369 "structuredOutputIds": [
2370 "string"
2371 ],
2372 "structuredOutputs": [
2373 {
2374 "name": "string",
2375 "schema": {
2376 "type": "string",
2377 "items": {},
2378 "properties": {},
2379 "description": "string",
2380 "pattern": "string",
2381 "format": "date-time",
2382 "required": [
2383 "string"
2384 ],
2385 "enum": [
2386 "string"
2387 ],
2388 "title": "string"
2389 },
2390 "type": "ai",
2391 "regex": "string",
2392 "model": {
2393 "provider": "openai",
2394 "model": "gpt-5.4",
2395 "temperature": 1.1,
2396 "maxTokens": 5030
2397 },
2398 "compliancePlan": {
2399 "forceStoreOnHipaaEnabled": false
2400 },
2401 "description": "string",
2402 "assistantIds": [
2403 "string"
2404 ],
2405 "workflowIds": [
2406 "string"
2407 ]
2408 }
2409 ],
2410 "scorecardIds": [
2411 "string"
2412 ],
2413 "scorecards": [
2414 {
2415 "metrics": [
2416 {
2417 "structuredOutputId": "string",
2418 "conditions": [
2419 {}
2420 ]
2421 }
2422 ],
2423 "name": "string",
2424 "description": "string",
2425 "assistantIds": [
2426 "string"
2427 ]
2428 }
2429 ],
2430 "loggingPath": "string"
2431 },
2432 "startSpeakingPlan": {
2433 "waitSeconds": 0.4,
2434 "smartEndpointingPlan": {
2435 "provider": "vapi"
2436 },
2437 "customEndpointingRules": [
2438 {
2439 "type": "assistant",
2440 "regex": "string",
2441 "regexOptions": [
2442 {
2443 "type": "ignore-case",
2444 "enabled": true
2445 }
2446 ],
2447 "timeoutSeconds": 1.1
2448 }
2449 ],
2450 "transcriptionEndpointingPlan": {
2451 "onPunctuationSeconds": 0.1,
2452 "onNoPunctuationSeconds": 1.5,
2453 "onNumberSeconds": 0.5
2454 },
2455 "smartEndpointingEnabled": false
2456 },
2457 "stopSpeakingPlan": {
2458 "numWords": 0,
2459 "voiceSeconds": 0.2,
2460 "backoffSeconds": 1,
2461 "acknowledgementPhrases": [
2462 "i understand",
2463 "i see",
2464 "i got it",
2465 "i hear you",
2466 "im listening",
2467 "im with you",
2468 "right",
2469 "okay",
2470 "ok",
2471 "sure",
2472 "alright",
2473 "got it",
2474 "understood",
2475 "yeah",
2476 "yes",
2477 "uh-huh",
2478 "mm-hmm",
2479 "gotcha",
2480 "mhmm",
2481 "ah",
2482 "yeah okay",
2483 "yeah sure"
2484 ],
2485 "interruptionPhrases": [
2486 "stop",
2487 "shut",
2488 "up",
2489 "enough",
2490 "quiet",
2491 "silence",
2492 "but",
2493 "dont",
2494 "not",
2495 "no",
2496 "hold",
2497 "wait",
2498 "cut",
2499 "pause",
2500 "nope",
2501 "nah",
2502 "nevermind",
2503 "never",
2504 "bad",
2505 "actually"
2506 ]
2507 },
2508 "monitorPlan": {
2509 "listenEnabled": false,
2510 "listenAuthenticationEnabled": false,
2511 "controlEnabled": false,
2512 "controlAuthenticationEnabled": false,
2513 "monitorIds": [
2514 "123e4567-e89b-12d3-a456-426614174000"
2515 ]
2516 },
2517 "credentialIds": [
2518 "string"
2519 ],
2520 "server": {
2521 "timeoutSeconds": 20,
2522 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2523 "staticIpAddressesEnabled": false,
2524 "encryptedPaths": [
2525 "string"
2526 ],
2527 "url": "string",
2528 "headers": {},
2529 "backoffPlan": {
2530 "type": "fixed",
2531 "maxRetries": 0,
2532 "baseDelaySeconds": 1,
2533 "excludedStatusCodes": [
2534 400,
2535 401,
2536 403,
2537 404
2538 ]
2539 }
2540 },
2541 "keypadInputPlan": {
2542 "enabled": true,
2543 "timeoutSeconds": 1.1,
2544 "delimiters": "#"
2545 }
2546 },
2547 "assistantOverrides": {
2548 "transcriber": {
2549 "provider": "assembly-ai",
2550 "language": "multi",
2551 "confidenceThreshold": 0.4,
2552 "formatTurns": true,
2553 "endOfTurnConfidenceThreshold": 0.7,
2554 "minEndOfTurnSilenceWhenConfident": 160,
2555 "wordFinalizationMaxWaitTime": 160,
2556 "maxTurnSilence": 400,
2557 "vadAssistedEndpointingEnabled": true,
2558 "speechModel": "universal-streaming-english",
2559 "realtimeUrl": "string",
2560 "wordBoost": [
2561 "string"
2562 ],
2563 "keytermsPrompt": [
2564 "string"
2565 ],
2566 "endUtteranceSilenceThreshold": 1.1,
2567 "disablePartialTranscripts": true,
2568 "fallbackPlan": {
2569 "transcribers": [
2570 {
2571 "provider": "assembly-ai",
2572 "language": "multi",
2573 "confidenceThreshold": 0.4,
2574 "formatTurns": true,
2575 "endOfTurnConfidenceThreshold": 0.7,
2576 "minEndOfTurnSilenceWhenConfident": 160,
2577 "wordFinalizationMaxWaitTime": 160,
2578 "maxTurnSilence": 400,
2579 "vadAssistedEndpointingEnabled": true,
2580 "speechModel": "universal-streaming-english",
2581 "realtimeUrl": "string",
2582 "wordBoost": [
2583 "string"
2584 ],
2585 "keytermsPrompt": [
2586 "string"
2587 ],
2588 "endUtteranceSilenceThreshold": 1.1,
2589 "disablePartialTranscripts": true
2590 }
2591 ]
2592 }
2593 },
2594 "model": {
2595 "messages": [
2596 {
2597 "content": "string",
2598 "role": "assistant"
2599 }
2600 ],
2601 "tools": [
2602 {
2603 "messages": [
2604 {
2605 "contents": [
2606 {}
2607 ],
2608 "type": "request-start",
2609 "blocking": false,
2610 "content": "string",
2611 "conditions": [
2612 {
2613 "operator": {},
2614 "param": {},
2615 "value": {}
2616 }
2617 ]
2618 }
2619 ],
2620 "type": "apiRequest",
2621 "method": "POST",
2622 "timeoutSeconds": 20,
2623 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2624 "encryptedPaths": [
2625 "string"
2626 ],
2627 "parameters": [
2628 {
2629 "key": "string",
2630 "value": {}
2631 }
2632 ],
2633 "name": "string",
2634 "description": "string",
2635 "url": "string",
2636 "body": {
2637 "type": "string",
2638 "items": {},
2639 "properties": {},
2640 "description": "string",
2641 "pattern": "string",
2642 "format": "date-time",
2643 "required": [
2644 "string"
2645 ],
2646 "enum": [
2647 "string"
2648 ],
2649 "title": "string"
2650 },
2651 "headers": {
2652 "type": "string",
2653 "items": {},
2654 "properties": {},
2655 "description": "string",
2656 "pattern": "string",
2657 "format": "date-time",
2658 "required": [
2659 "string"
2660 ],
2661 "enum": [
2662 "string"
2663 ],
2664 "title": "string"
2665 },
2666 "backoffPlan": {
2667 "type": "fixed",
2668 "maxRetries": 0,
2669 "baseDelaySeconds": 1,
2670 "excludedStatusCodes": [
2671 400,
2672 401,
2673 403,
2674 404
2675 ]
2676 },
2677 "variableExtractionPlan": {
2678 "schema": {},
2679 "aliases": [
2680 {
2681 "key": {},
2682 "value": {}
2683 }
2684 ]
2685 },
2686 "rejectionPlan": {
2687 "conditions": [
2688 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
2689 ]
2690 }
2691 }
2692 ],
2693 "toolIds": [
2694 "string"
2695 ],
2696 "knowledgeBase": {
2697 "provider": "custom-knowledge-base",
2698 "server": {
2699 "timeoutSeconds": 20,
2700 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2701 "staticIpAddressesEnabled": false,
2702 "encryptedPaths": [
2703 "string"
2704 ],
2705 "url": "string",
2706 "headers": {},
2707 "backoffPlan": {}
2708 }
2709 },
2710 "model": "claude-3-opus-20240229",
2711 "provider": "anthropic",
2712 "thinking": {
2713 "type": "enabled",
2714 "budgetTokens": 50500
2715 },
2716 "temperature": 1.1,
2717 "maxTokens": 5030,
2718 "emotionRecognitionEnabled": true,
2719 "numFastTurns": 1.1
2720 },
2721 "voice": {
2722 "cachingEnabled": true,
2723 "provider": "azure",
2724 "voiceId": "andrew",
2725 "chunkPlan": {
2726 "enabled": true,
2727 "minCharacters": 30,
2728 "punctuationBoundaries": "。",
2729 "formatPlan": {
2730 "enabled": true,
2731 "numberToDigitsCutoff": 2025,
2732 "replacements": [
2733 {}
2734 ],
2735 "formattersEnabled": "markdown"
2736 }
2737 },
2738 "speed": 1.1,
2739 "fallbackPlan": {
2740 "voices": [
2741 {
2742 "cachingEnabled": true,
2743 "provider": "azure",
2744 "voiceId": "andrew",
2745 "speed": 1.1,
2746 "chunkPlan": {},
2747 "oneOf": null
2748 }
2749 ]
2750 }
2751 },
2752 "firstMessage": "Hello! How can I help you today?",
2753 "firstMessageInterruptionsEnabled": false,
2754 "firstMessageMode": "assistant-speaks-first",
2755 "voicemailDetection": "off",
2756 "clientMessages": "conversation-update",
2757 "serverMessages": "assistant.started",
2758 "maxDurationSeconds": 600,
2759 "backgroundSound": "off",
2760 "modelOutputInMessagesEnabled": false,
2761 "transportConfigurations": [
2762 {
2763 "provider": "twilio",
2764 "timeout": 60,
2765 "record": false,
2766 "recordingChannels": "mono"
2767 }
2768 ],
2769 "observabilityPlan": {
2770 "provider": "langfuse",
2771 "tags": [
2772 "string"
2773 ],
2774 "promptName": "string",
2775 "promptVersion": 1.1,
2776 "traceName": "string",
2777 "metadata": {}
2778 },
2779 "credentials": [
2780 {
2781 "provider": "anthropic",
2782 "apiKey": "string",
2783 "name": "string"
2784 }
2785 ],
2786 "hooks": [
2787 {
2788 "on": "call.ending",
2789 "do": [
2790 {
2791 "type": "tool",
2792 "tool": {
2793 "messages": [
2794 {}
2795 ],
2796 "type": "apiRequest",
2797 "method": "POST",
2798 "timeoutSeconds": 20,
2799 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2800 "encryptedPaths": [
2801 "string"
2802 ],
2803 "parameters": [
2804 {
2805 "key": {},
2806 "value": {}
2807 }
2808 ],
2809 "name": "string",
2810 "description": "string",
2811 "url": "string",
2812 "body": {},
2813 "headers": {},
2814 "backoffPlan": {},
2815 "variableExtractionPlan": {},
2816 "rejectionPlan": {}
2817 },
2818 "toolId": "string"
2819 }
2820 ],
2821 "filters": [
2822 {
2823 "type": "oneOf",
2824 "key": "string",
2825 "oneOf": [
2826 "string"
2827 ]
2828 }
2829 ]
2830 }
2831 ],
2832 "tools:append": [
2833 {
2834 "messages": [
2835 {
2836 "contents": [
2837 {
2838 "type": "text",
2839 "text": "string",
2840 "language": "aa"
2841 }
2842 ],
2843 "type": "request-start",
2844 "blocking": false,
2845 "content": "string",
2846 "conditions": [
2847 {
2848 "operator": "eq",
2849 "param": "string",
2850 "value": "string"
2851 }
2852 ]
2853 }
2854 ],
2855 "type": "apiRequest",
2856 "method": "POST",
2857 "timeoutSeconds": 20,
2858 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2859 "encryptedPaths": [
2860 "string"
2861 ],
2862 "parameters": [
2863 {
2864 "key": "string",
2865 "value": {}
2866 }
2867 ],
2868 "name": "string",
2869 "description": "string",
2870 "url": "string",
2871 "body": {
2872 "type": "string",
2873 "items": {},
2874 "properties": {},
2875 "description": "string",
2876 "pattern": "string",
2877 "format": "date-time",
2878 "required": [
2879 "string"
2880 ],
2881 "enum": [
2882 "string"
2883 ],
2884 "title": "string"
2885 },
2886 "headers": {
2887 "type": "string",
2888 "items": {},
2889 "properties": {},
2890 "description": "string",
2891 "pattern": "string",
2892 "format": "date-time",
2893 "required": [
2894 "string"
2895 ],
2896 "enum": [
2897 "string"
2898 ],
2899 "title": "string"
2900 },
2901 "backoffPlan": {
2902 "type": "fixed",
2903 "maxRetries": 0,
2904 "baseDelaySeconds": 1,
2905 "excludedStatusCodes": [
2906 400,
2907 401,
2908 403,
2909 404
2910 ]
2911 },
2912 "variableExtractionPlan": {
2913 "schema": {
2914 "type": "string",
2915 "items": {},
2916 "properties": {},
2917 "description": "string",
2918 "pattern": "string",
2919 "format": "date-time",
2920 "required": [
2921 "string"
2922 ],
2923 "enum": [
2924 "string"
2925 ],
2926 "title": "string"
2927 },
2928 "aliases": [
2929 {
2930 "key": "string",
2931 "value": "string"
2932 }
2933 ]
2934 },
2935 "rejectionPlan": {
2936 "conditions": [
2937 {
2938 "type": "regex",
2939 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
2940 }
2941 ]
2942 }
2943 }
2944 ],
2945 "variableValues": {},
2946 "name": "string",
2947 "voicemailMessage": "string",
2948 "endCallMessage": "string",
2949 "endCallPhrases": [
2950 "string"
2951 ],
2952 "compliancePlan": {
2953 "hipaaEnabled": true,
2954 "pciEnabled": {
2955 "pciEnabled": false
2956 },
2957 "securityFilterPlan": {
2958 "enabled": false,
2959 "filters": [
2960 {}
2961 ],
2962 "mode": "sanitize",
2963 "replacementText": "[FILTERED]"
2964 },
2965 "recordingConsentPlan": {
2966 "type": "stay-on-line",
2967 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
2968 "voice": {
2969 "cachingEnabled": true,
2970 "provider": "azure",
2971 "voiceId": "andrew",
2972 "chunkPlan": {
2973 "enabled": true,
2974 "minCharacters": 30,
2975 "punctuationBoundaries": [
2976 "。",
2977 ",",
2978 ".",
2979 "!",
2980 "?",
2981 ";",
2982 "،",
2983 "۔",
2984 "।",
2985 "॥",
2986 "|",
2987 "||",
2988 ",",
2989 ":"
2990 ],
2991 "formatPlan": {}
2992 },
2993 "speed": 1.1,
2994 "fallbackPlan": {
2995 "voices": {}
2996 }
2997 },
2998 "waitSeconds": 3
2999 }
3000 },
3001 "metadata": {},
3002 "backgroundSpeechDenoisingPlan": {
3003 "smartDenoisingPlan": {
3004 "enabled": true
3005 },
3006 "fourierDenoisingPlan": {
3007 "enabled": false,
3008 "mediaDetectionEnabled": true,
3009 "staticThreshold": -35,
3010 "baselineOffsetDb": -15,
3011 "windowSizeMs": 3000,
3012 "baselinePercentile": 85
3013 }
3014 },
3015 "analysisPlan": {
3016 "summaryPlan": {
3017 "messages": [
3018 {}
3019 ],
3020 "enabled": true,
3021 "timeoutSeconds": 1.1
3022 },
3023 "structuredDataPlan": {
3024 "messages": [
3025 {}
3026 ],
3027 "enabled": true,
3028 "schema": {
3029 "type": "string",
3030 "items": {},
3031 "properties": {},
3032 "description": "string",
3033 "pattern": "string",
3034 "format": "date-time",
3035 "required": [
3036 "string"
3037 ],
3038 "enum": [
3039 "string"
3040 ],
3041 "title": "string"
3042 },
3043 "timeoutSeconds": 1.1
3044 },
3045 "successEvaluationPlan": {
3046 "rubric": "NumericScale",
3047 "messages": [
3048 {}
3049 ],
3050 "enabled": true,
3051 "timeoutSeconds": 1.1
3052 },
3053 "minMessagesThreshold": 1.1,
3054 "structuredDataMultiPlan": [
3055 {
3056 "key": "string",
3057 "plan": {
3058 "messages": [
3059 {}
3060 ],
3061 "enabled": true,
3062 "schema": {
3063 "type": {},
3064 "items": {},
3065 "properties": {},
3066 "description": {},
3067 "pattern": {},
3068 "format": {},
3069 "required": {},
3070 "enum": {},
3071 "title": {}
3072 },
3073 "timeoutSeconds": 1.1
3074 }
3075 }
3076 ],
3077 "outcomeIds": [
3078 "string"
3079 ]
3080 },
3081 "artifactPlan": {
3082 "recordingEnabled": true,
3083 "recordingFormat": "wav;l16",
3084 "recordingUseCustomStorageEnabled": true,
3085 "videoRecordingEnabled": false,
3086 "fullMessageHistoryEnabled": false,
3087 "pcapEnabled": true,
3088 "pcapS3PathPrefix": "/pcaps",
3089 "pcapUseCustomStorageEnabled": true,
3090 "loggingEnabled": true,
3091 "loggingUseCustomStorageEnabled": true,
3092 "transcriptPlan": {
3093 "enabled": true,
3094 "assistantName": "string",
3095 "userName": "string"
3096 },
3097 "recordingPath": "string",
3098 "structuredOutputIds": [
3099 "string"
3100 ],
3101 "structuredOutputs": [
3102 {
3103 "name": "string",
3104 "schema": {
3105 "type": "string",
3106 "items": {},
3107 "properties": {},
3108 "description": "string",
3109 "pattern": "string",
3110 "format": "date-time",
3111 "required": [
3112 "string"
3113 ],
3114 "enum": [
3115 "string"
3116 ],
3117 "title": "string"
3118 },
3119 "type": "ai",
3120 "regex": "string",
3121 "model": {
3122 "provider": "openai",
3123 "model": "gpt-5.4",
3124 "temperature": 1.1,
3125 "maxTokens": 5030
3126 },
3127 "compliancePlan": {
3128 "forceStoreOnHipaaEnabled": false
3129 },
3130 "description": "string",
3131 "assistantIds": [
3132 "string"
3133 ],
3134 "workflowIds": [
3135 "string"
3136 ]
3137 }
3138 ],
3139 "scorecardIds": [
3140 "string"
3141 ],
3142 "scorecards": [
3143 {
3144 "metrics": [
3145 {
3146 "structuredOutputId": "string",
3147 "conditions": [
3148 {}
3149 ]
3150 }
3151 ],
3152 "name": "string",
3153 "description": "string",
3154 "assistantIds": [
3155 "string"
3156 ]
3157 }
3158 ],
3159 "loggingPath": "string"
3160 },
3161 "startSpeakingPlan": {
3162 "waitSeconds": 0.4,
3163 "smartEndpointingPlan": {
3164 "provider": "vapi"
3165 },
3166 "customEndpointingRules": [
3167 {
3168 "type": "assistant",
3169 "regex": "string",
3170 "regexOptions": [
3171 {
3172 "type": "ignore-case",
3173 "enabled": true
3174 }
3175 ],
3176 "timeoutSeconds": 1.1
3177 }
3178 ],
3179 "transcriptionEndpointingPlan": {
3180 "onPunctuationSeconds": 0.1,
3181 "onNoPunctuationSeconds": 1.5,
3182 "onNumberSeconds": 0.5
3183 },
3184 "smartEndpointingEnabled": false
3185 },
3186 "stopSpeakingPlan": {
3187 "numWords": 0,
3188 "voiceSeconds": 0.2,
3189 "backoffSeconds": 1,
3190 "acknowledgementPhrases": [
3191 "i understand",
3192 "i see",
3193 "i got it",
3194 "i hear you",
3195 "im listening",
3196 "im with you",
3197 "right",
3198 "okay",
3199 "ok",
3200 "sure",
3201 "alright",
3202 "got it",
3203 "understood",
3204 "yeah",
3205 "yes",
3206 "uh-huh",
3207 "mm-hmm",
3208 "gotcha",
3209 "mhmm",
3210 "ah",
3211 "yeah okay",
3212 "yeah sure"
3213 ],
3214 "interruptionPhrases": [
3215 "stop",
3216 "shut",
3217 "up",
3218 "enough",
3219 "quiet",
3220 "silence",
3221 "but",
3222 "dont",
3223 "not",
3224 "no",
3225 "hold",
3226 "wait",
3227 "cut",
3228 "pause",
3229 "nope",
3230 "nah",
3231 "nevermind",
3232 "never",
3233 "bad",
3234 "actually"
3235 ]
3236 },
3237 "monitorPlan": {
3238 "listenEnabled": false,
3239 "listenAuthenticationEnabled": false,
3240 "controlEnabled": false,
3241 "controlAuthenticationEnabled": false,
3242 "monitorIds": [
3243 "123e4567-e89b-12d3-a456-426614174000"
3244 ]
3245 },
3246 "credentialIds": [
3247 "string"
3248 ],
3249 "server": {
3250 "timeoutSeconds": 20,
3251 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3252 "staticIpAddressesEnabled": false,
3253 "encryptedPaths": [
3254 "string"
3255 ],
3256 "url": "string",
3257 "headers": {},
3258 "backoffPlan": {
3259 "type": "fixed",
3260 "maxRetries": 0,
3261 "baseDelaySeconds": 1,
3262 "excludedStatusCodes": [
3263 400,
3264 401,
3265 403,
3266 404
3267 ]
3268 }
3269 },
3270 "keypadInputPlan": {
3271 "enabled": true,
3272 "timeoutSeconds": 1.1,
3273 "delimiters": "#"
3274 }
3275 }
3276 }
3277 ],
3278 "name": "string",
3279 "membersOverrides": {
3280 "transcriber": {
3281 "provider": "assembly-ai",
3282 "language": "multi",
3283 "confidenceThreshold": 0.4,
3284 "formatTurns": true,
3285 "endOfTurnConfidenceThreshold": 0.7,
3286 "minEndOfTurnSilenceWhenConfident": 160,
3287 "wordFinalizationMaxWaitTime": 160,
3288 "maxTurnSilence": 400,
3289 "vadAssistedEndpointingEnabled": true,
3290 "speechModel": "universal-streaming-english",
3291 "realtimeUrl": "string",
3292 "wordBoost": [
3293 "string"
3294 ],
3295 "keytermsPrompt": [
3296 "string"
3297 ],
3298 "endUtteranceSilenceThreshold": 1.1,
3299 "disablePartialTranscripts": true,
3300 "fallbackPlan": {
3301 "transcribers": [
3302 {
3303 "provider": "assembly-ai",
3304 "language": "multi",
3305 "confidenceThreshold": 0.4,
3306 "formatTurns": true,
3307 "endOfTurnConfidenceThreshold": 0.7,
3308 "minEndOfTurnSilenceWhenConfident": 160,
3309 "wordFinalizationMaxWaitTime": 160,
3310 "maxTurnSilence": 400,
3311 "vadAssistedEndpointingEnabled": true,
3312 "speechModel": "universal-streaming-english",
3313 "realtimeUrl": "string",
3314 "wordBoost": [
3315 "string"
3316 ],
3317 "keytermsPrompt": [
3318 "string"
3319 ],
3320 "endUtteranceSilenceThreshold": 1.1,
3321 "disablePartialTranscripts": true
3322 }
3323 ]
3324 }
3325 },
3326 "model": {
3327 "messages": [
3328 {
3329 "content": "string",
3330 "role": "assistant"
3331 }
3332 ],
3333 "tools": [
3334 {
3335 "messages": [
3336 {
3337 "contents": [
3338 {
3339 "type": {},
3340 "text": {},
3341 "language": {}
3342 }
3343 ],
3344 "type": "request-start",
3345 "blocking": false,
3346 "content": "string",
3347 "conditions": [
3348 {
3349 "operator": "eq",
3350 "param": "string",
3351 "value": "string"
3352 }
3353 ]
3354 }
3355 ],
3356 "type": "apiRequest",
3357 "method": "POST",
3358 "timeoutSeconds": 20,
3359 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3360 "encryptedPaths": [
3361 "string"
3362 ],
3363 "parameters": [
3364 {
3365 "key": "string",
3366 "value": {}
3367 }
3368 ],
3369 "name": "string",
3370 "description": "string",
3371 "url": "string",
3372 "body": {
3373 "type": "string",
3374 "items": {},
3375 "properties": {},
3376 "description": "string",
3377 "pattern": "string",
3378 "format": "date-time",
3379 "required": [
3380 "string"
3381 ],
3382 "enum": [
3383 "string"
3384 ],
3385 "title": "string"
3386 },
3387 "headers": {
3388 "type": "string",
3389 "items": {},
3390 "properties": {},
3391 "description": "string",
3392 "pattern": "string",
3393 "format": "date-time",
3394 "required": [
3395 "string"
3396 ],
3397 "enum": [
3398 "string"
3399 ],
3400 "title": "string"
3401 },
3402 "backoffPlan": {
3403 "type": "fixed",
3404 "maxRetries": 0,
3405 "baseDelaySeconds": 1,
3406 "excludedStatusCodes": [
3407 400,
3408 401,
3409 403,
3410 404
3411 ]
3412 },
3413 "variableExtractionPlan": {
3414 "schema": {
3415 "type": {},
3416 "items": {},
3417 "properties": {},
3418 "description": {},
3419 "pattern": {},
3420 "format": {},
3421 "required": {},
3422 "enum": {},
3423 "title": {}
3424 },
3425 "aliases": [
3426 {
3427 "key": "string",
3428 "value": "string"
3429 }
3430 ]
3431 },
3432 "rejectionPlan": {
3433 "conditions": [
3434 {
3435 "type": "regex",
3436 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
3437 }
3438 ]
3439 }
3440 }
3441 ],
3442 "toolIds": [
3443 "string"
3444 ],
3445 "knowledgeBase": {
3446 "provider": "custom-knowledge-base",
3447 "server": {
3448 "timeoutSeconds": 20,
3449 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3450 "staticIpAddressesEnabled": false,
3451 "encryptedPaths": [
3452 "string"
3453 ],
3454 "url": "string",
3455 "headers": {},
3456 "backoffPlan": {
3457 "type": "fixed",
3458 "maxRetries": 0,
3459 "baseDelaySeconds": 1,
3460 "excludedStatusCodes": [
3461 400,
3462 401,
3463 403,
3464 404
3465 ]
3466 }
3467 }
3468 },
3469 "model": "claude-3-opus-20240229",
3470 "provider": "anthropic",
3471 "thinking": {
3472 "type": "enabled",
3473 "budgetTokens": 50500
3474 },
3475 "temperature": 1.1,
3476 "maxTokens": 5030,
3477 "emotionRecognitionEnabled": true,
3478 "numFastTurns": 1.1
3479 },
3480 "voice": {
3481 "cachingEnabled": true,
3482 "provider": "azure",
3483 "voiceId": "andrew",
3484 "chunkPlan": {
3485 "enabled": true,
3486 "minCharacters": 30,
3487 "punctuationBoundaries": "。",
3488 "formatPlan": {
3489 "enabled": true,
3490 "numberToDigitsCutoff": 2025,
3491 "replacements": [
3492 {
3493 "type": {},
3494 "replaceAllEnabled": {},
3495 "key": {},
3496 "value": {}
3497 }
3498 ],
3499 "formattersEnabled": "markdown"
3500 }
3501 },
3502 "speed": 1.1,
3503 "fallbackPlan": {
3504 "voices": [
3505 {
3506 "cachingEnabled": true,
3507 "provider": "azure",
3508 "voiceId": "andrew",
3509 "speed": 1.1,
3510 "chunkPlan": {
3511 "enabled": true,
3512 "minCharacters": 30,
3513 "punctuationBoundaries": [
3514 "。",
3515 ",",
3516 ".",
3517 "!",
3518 "?",
3519 ";",
3520 "،",
3521 "۔",
3522 "।",
3523 "॥",
3524 "|",
3525 "||",
3526 ",",
3527 ":"
3528 ],
3529 "formatPlan": {}
3530 },
3531 "oneOf": null
3532 }
3533 ]
3534 }
3535 },
3536 "firstMessage": "Hello! How can I help you today?",
3537 "firstMessageInterruptionsEnabled": false,
3538 "firstMessageMode": "assistant-speaks-first",
3539 "voicemailDetection": "off",
3540 "clientMessages": "conversation-update",
3541 "serverMessages": "assistant.started",
3542 "maxDurationSeconds": 600,
3543 "backgroundSound": "off",
3544 "modelOutputInMessagesEnabled": false,
3545 "transportConfigurations": [
3546 {
3547 "provider": "twilio",
3548 "timeout": 60,
3549 "record": false,
3550 "recordingChannels": "mono"
3551 }
3552 ],
3553 "observabilityPlan": {
3554 "provider": "langfuse",
3555 "tags": [
3556 "string"
3557 ],
3558 "promptName": "string",
3559 "promptVersion": 1.1,
3560 "traceName": "string",
3561 "metadata": {}
3562 },
3563 "credentials": [
3564 {
3565 "provider": "anthropic",
3566 "apiKey": "string",
3567 "name": "string"
3568 }
3569 ],
3570 "hooks": [
3571 {
3572 "on": "call.ending",
3573 "do": [
3574 {
3575 "type": "tool",
3576 "tool": {
3577 "messages": [
3578 {
3579 "contents": {},
3580 "type": {},
3581 "blocking": false,
3582 "content": {},
3583 "conditions": {}
3584 }
3585 ],
3586 "type": "apiRequest",
3587 "method": "POST",
3588 "timeoutSeconds": 20,
3589 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3590 "encryptedPaths": [
3591 "string"
3592 ],
3593 "parameters": [
3594 {
3595 "key": "string",
3596 "value": {}
3597 }
3598 ],
3599 "name": "string",
3600 "description": "string",
3601 "url": "string",
3602 "body": {
3603 "type": {},
3604 "items": {},
3605 "properties": {},
3606 "description": {},
3607 "pattern": {},
3608 "format": {},
3609 "required": {},
3610 "enum": {},
3611 "title": {}
3612 },
3613 "headers": {
3614 "type": {},
3615 "items": {},
3616 "properties": {},
3617 "description": {},
3618 "pattern": {},
3619 "format": {},
3620 "required": {},
3621 "enum": {},
3622 "title": {}
3623 },
3624 "backoffPlan": {
3625 "type": "fixed",
3626 "maxRetries": 0,
3627 "baseDelaySeconds": 1,
3628 "excludedStatusCodes": [
3629 400,
3630 401,
3631 403,
3632 404
3633 ]
3634 },
3635 "variableExtractionPlan": {
3636 "schema": {},
3637 "aliases": {}
3638 },
3639 "rejectionPlan": {
3640 "conditions": "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
3641 }
3642 },
3643 "toolId": "string"
3644 }
3645 ],
3646 "filters": [
3647 {
3648 "type": "oneOf",
3649 "key": "string",
3650 "oneOf": [
3651 "string"
3652 ]
3653 }
3654 ]
3655 }
3656 ],
3657 "tools:append": [
3658 {
3659 "messages": [
3660 {
3661 "contents": [
3662 {
3663 "type": "text",
3664 "text": "string",
3665 "language": "aa"
3666 }
3667 ],
3668 "type": "request-start",
3669 "blocking": false,
3670 "content": "string",
3671 "conditions": [
3672 {
3673 "operator": "eq",
3674 "param": "string",
3675 "value": "string"
3676 }
3677 ]
3678 }
3679 ],
3680 "type": "apiRequest",
3681 "method": "POST",
3682 "timeoutSeconds": 20,
3683 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
3684 "encryptedPaths": [
3685 "string"
3686 ],
3687 "parameters": [
3688 {
3689 "key": "string",
3690 "value": {}
3691 }
3692 ],
3693 "name": "string",
3694 "description": "string",
3695 "url": "string",
3696 "body": {
3697 "type": "string",
3698 "items": {},
3699 "properties": {},
3700 "description": "string",
3701 "pattern": "string",
3702 "format": "date-time",
3703 "required": [
3704 "string"
3705 ],
3706 "enum": [
3707 "string"
3708 ],
3709 "title": "string"
3710 },
3711 "headers": {
3712 "type": "string",
3713 "items": {},
3714 "properties": {},
3715 "description": "string",
3716 "pattern": "string",
3717 "format": "date-time",
3718 "required": [
3719 "string"
3720 ],
3721 "enum": [
3722 "string"
3723 ],
3724 "title": "string"
3725 },
3726 "backoffPlan": {
3727 "type": "fixed",
3728 "maxRetries": 0,
3729 "baseDelaySeconds": 1,
3730 "excludedStatusCodes": [
3731 400,
3732 401,
3733 403,
3734 404
3735 ]
3736 },
3737 "variableExtractionPlan": {
3738 "schema": {
3739 "type": "string",
3740 "items": {},
3741 "properties": {},
3742 "description": "string",
3743 "pattern": "string",
3744 "format": "date-time",
3745 "required": [
3746 "string"
3747 ],
3748 "enum": [
3749 "string"
3750 ],
3751 "title": "string"
3752 },
3753 "aliases": [
3754 {
3755 "key": "string",
3756 "value": "string"
3757 }
3758 ]
3759 },
3760 "rejectionPlan": {
3761 "conditions": [
3762 {
3763 "type": "regex",
3764 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
3765 }
3766 ]
3767 }
3768 }
3769 ],
3770 "variableValues": {},
3771 "name": "string",
3772 "voicemailMessage": "string",
3773 "endCallMessage": "string",
3774 "endCallPhrases": [
3775 "string"
3776 ],
3777 "compliancePlan": {
3778 "hipaaEnabled": true,
3779 "pciEnabled": {
3780 "pciEnabled": false
3781 },
3782 "securityFilterPlan": {
3783 "enabled": false,
3784 "filters": [
3785 {}
3786 ],
3787 "mode": "sanitize",
3788 "replacementText": "[FILTERED]"
3789 },
3790 "recordingConsentPlan": {
3791 "type": "stay-on-line",
3792 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
3793 "voice": {
3794 "cachingEnabled": true,
3795 "provider": "azure",
3796 "voiceId": "andrew",
3797 "chunkPlan": {
3798 "enabled": true,
3799 "minCharacters": 30,
3800 "punctuationBoundaries": "。",
3801 "formatPlan": {}
3802 },
3803 "speed": 1.1,
3804 "fallbackPlan": {
3805 "voices": [
3806 {}
3807 ]
3808 }
3809 },
3810 "waitSeconds": 3
3811 }
3812 },
3813 "metadata": {},
3814 "backgroundSpeechDenoisingPlan": {
3815 "smartDenoisingPlan": {
3816 "enabled": true
3817 },
3818 "fourierDenoisingPlan": {
3819 "enabled": false,
3820 "mediaDetectionEnabled": true,
3821 "staticThreshold": -35,
3822 "baselineOffsetDb": -15,
3823 "windowSizeMs": 3000,
3824 "baselinePercentile": 85
3825 }
3826 },
3827 "analysisPlan": {
3828 "summaryPlan": {
3829 "messages": [
3830 {}
3831 ],
3832 "enabled": true,
3833 "timeoutSeconds": 1.1
3834 },
3835 "structuredDataPlan": {
3836 "messages": [
3837 {}
3838 ],
3839 "enabled": true,
3840 "schema": {
3841 "type": "string",
3842 "items": {},
3843 "properties": {},
3844 "description": "string",
3845 "pattern": "string",
3846 "format": "date-time",
3847 "required": [
3848 "string"
3849 ],
3850 "enum": [
3851 "string"
3852 ],
3853 "title": "string"
3854 },
3855 "timeoutSeconds": 1.1
3856 },
3857 "successEvaluationPlan": {
3858 "rubric": "NumericScale",
3859 "messages": [
3860 {}
3861 ],
3862 "enabled": true,
3863 "timeoutSeconds": 1.1
3864 },
3865 "minMessagesThreshold": 1.1,
3866 "structuredDataMultiPlan": [
3867 {
3868 "key": "string",
3869 "plan": {
3870 "messages": [
3871 {}
3872 ],
3873 "enabled": true,
3874 "schema": {
3875 "type": "string",
3876 "items": {},
3877 "properties": {},
3878 "description": "string",
3879 "pattern": "string",
3880 "format": "date-time",
3881 "required": [
3882 "string"
3883 ],
3884 "enum": [
3885 "string"
3886 ],
3887 "title": "string"
3888 },
3889 "timeoutSeconds": 1.1
3890 }
3891 }
3892 ],
3893 "outcomeIds": [
3894 "string"
3895 ]
3896 },
3897 "artifactPlan": {
3898 "recordingEnabled": true,
3899 "recordingFormat": "wav;l16",
3900 "recordingUseCustomStorageEnabled": true,
3901 "videoRecordingEnabled": false,
3902 "fullMessageHistoryEnabled": false,
3903 "pcapEnabled": true,
3904 "pcapS3PathPrefix": "/pcaps",
3905 "pcapUseCustomStorageEnabled": true,
3906 "loggingEnabled": true,
3907 "loggingUseCustomStorageEnabled": true,
3908 "transcriptPlan": {
3909 "enabled": true,
3910 "assistantName": "string",
3911 "userName": "string"
3912 },
3913 "recordingPath": "string",
3914 "structuredOutputIds": [
3915 "string"
3916 ],
3917 "structuredOutputs": [
3918 {
3919 "name": "string",
3920 "schema": {
3921 "type": "string",
3922 "items": {},
3923 "properties": {},
3924 "description": "string",
3925 "pattern": "string",
3926 "format": "date-time",
3927 "required": [
3928 "string"
3929 ],
3930 "enum": [
3931 "string"
3932 ],
3933 "title": "string"
3934 },
3935 "type": "ai",
3936 "regex": "string",
3937 "model": {
3938 "provider": "openai",
3939 "model": "gpt-5.4",
3940 "temperature": 1.1,
3941 "maxTokens": 5030
3942 },
3943 "compliancePlan": {
3944 "forceStoreOnHipaaEnabled": false
3945 },
3946 "description": "string",
3947 "assistantIds": [
3948 "string"
3949 ],
3950 "workflowIds": [
3951 "string"
3952 ]
3953 }
3954 ],
3955 "scorecardIds": [
3956 "string"
3957 ],
3958 "scorecards": [
3959 {
3960 "metrics": [
3961 {
3962 "structuredOutputId": "string",
3963 "conditions": [
3964 {}
3965 ]
3966 }
3967 ],
3968 "name": "string",
3969 "description": "string",
3970 "assistantIds": [
3971 "string"
3972 ]
3973 }
3974 ],
3975 "loggingPath": "string"
3976 },
3977 "startSpeakingPlan": {
3978 "waitSeconds": 0.4,
3979 "smartEndpointingPlan": {
3980 "provider": "vapi"
3981 },
3982 "customEndpointingRules": [
3983 {
3984 "type": "assistant",
3985 "regex": "string",
3986 "regexOptions": [
3987 {
3988 "type": "ignore-case",
3989 "enabled": true
3990 }
3991 ],
3992 "timeoutSeconds": 1.1
3993 }
3994 ],
3995 "transcriptionEndpointingPlan": {
3996 "onPunctuationSeconds": 0.1,
3997 "onNoPunctuationSeconds": 1.5,
3998 "onNumberSeconds": 0.5
3999 },
4000 "smartEndpointingEnabled": false
4001 },
4002 "stopSpeakingPlan": {
4003 "numWords": 0,
4004 "voiceSeconds": 0.2,
4005 "backoffSeconds": 1,
4006 "acknowledgementPhrases": [
4007 "i understand",
4008 "i see",
4009 "i got it",
4010 "i hear you",
4011 "im listening",
4012 "im with you",
4013 "right",
4014 "okay",
4015 "ok",
4016 "sure",
4017 "alright",
4018 "got it",
4019 "understood",
4020 "yeah",
4021 "yes",
4022 "uh-huh",
4023 "mm-hmm",
4024 "gotcha",
4025 "mhmm",
4026 "ah",
4027 "yeah okay",
4028 "yeah sure"
4029 ],
4030 "interruptionPhrases": [
4031 "stop",
4032 "shut",
4033 "up",
4034 "enough",
4035 "quiet",
4036 "silence",
4037 "but",
4038 "dont",
4039 "not",
4040 "no",
4041 "hold",
4042 "wait",
4043 "cut",
4044 "pause",
4045 "nope",
4046 "nah",
4047 "nevermind",
4048 "never",
4049 "bad",
4050 "actually"
4051 ]
4052 },
4053 "monitorPlan": {
4054 "listenEnabled": false,
4055 "listenAuthenticationEnabled": false,
4056 "controlEnabled": false,
4057 "controlAuthenticationEnabled": false,
4058 "monitorIds": [
4059 "123e4567-e89b-12d3-a456-426614174000"
4060 ]
4061 },
4062 "credentialIds": [
4063 "string"
4064 ],
4065 "server": {
4066 "timeoutSeconds": 20,
4067 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4068 "staticIpAddressesEnabled": false,
4069 "encryptedPaths": [
4070 "string"
4071 ],
4072 "url": "string",
4073 "headers": {},
4074 "backoffPlan": {
4075 "type": "fixed",
4076 "maxRetries": 0,
4077 "baseDelaySeconds": 1,
4078 "excludedStatusCodes": [
4079 400,
4080 401,
4081 403,
4082 404
4083 ]
4084 }
4085 },
4086 "keypadInputPlan": {
4087 "enabled": true,
4088 "timeoutSeconds": 1.1,
4089 "delimiters": "#"
4090 }
4091 }
4092 },
4093 "squadOverrides": {
4094 "transcriber": {
4095 "provider": "assembly-ai",
4096 "language": "multi",
4097 "confidenceThreshold": 0.4,
4098 "formatTurns": true,
4099 "endOfTurnConfidenceThreshold": 0.7,
4100 "minEndOfTurnSilenceWhenConfident": 160,
4101 "wordFinalizationMaxWaitTime": 160,
4102 "maxTurnSilence": 400,
4103 "vadAssistedEndpointingEnabled": true,
4104 "speechModel": "universal-streaming-english",
4105 "realtimeUrl": "string",
4106 "wordBoost": [
4107 "string"
4108 ],
4109 "keytermsPrompt": [
4110 "string"
4111 ],
4112 "endUtteranceSilenceThreshold": 1.1,
4113 "disablePartialTranscripts": true,
4114 "fallbackPlan": {
4115 "transcribers": [
4116 {
4117 "provider": "assembly-ai",
4118 "language": "multi",
4119 "confidenceThreshold": 0.4,
4120 "formatTurns": true,
4121 "endOfTurnConfidenceThreshold": 0.7,
4122 "minEndOfTurnSilenceWhenConfident": 160,
4123 "wordFinalizationMaxWaitTime": 160,
4124 "maxTurnSilence": 400,
4125 "vadAssistedEndpointingEnabled": true,
4126 "speechModel": "universal-streaming-english",
4127 "realtimeUrl": "string",
4128 "wordBoost": [
4129 "string"
4130 ],
4131 "keytermsPrompt": [
4132 "string"
4133 ],
4134 "endUtteranceSilenceThreshold": 1.1,
4135 "disablePartialTranscripts": true
4136 }
4137 ]
4138 }
4139 },
4140 "model": {
4141 "messages": [
4142 {
4143 "content": "string",
4144 "role": "assistant"
4145 }
4146 ],
4147 "tools": [
4148 {
4149 "messages": [
4150 {
4151 "contents": [
4152 {
4153 "type": "text",
4154 "text": "string",
4155 "language": "aa"
4156 }
4157 ],
4158 "type": "request-start",
4159 "blocking": false,
4160 "content": "string",
4161 "conditions": [
4162 {
4163 "operator": "eq",
4164 "param": "string",
4165 "value": "string"
4166 }
4167 ]
4168 }
4169 ],
4170 "type": "apiRequest",
4171 "method": "POST",
4172 "timeoutSeconds": 20,
4173 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4174 "encryptedPaths": [
4175 "string"
4176 ],
4177 "parameters": [
4178 {
4179 "key": "string",
4180 "value": {}
4181 }
4182 ],
4183 "name": "string",
4184 "description": "string",
4185 "url": "string",
4186 "body": {
4187 "type": "string",
4188 "items": {},
4189 "properties": {},
4190 "description": "string",
4191 "pattern": "string",
4192 "format": "date-time",
4193 "required": [
4194 "string"
4195 ],
4196 "enum": [
4197 "string"
4198 ],
4199 "title": "string"
4200 },
4201 "headers": {
4202 "type": "string",
4203 "items": {},
4204 "properties": {},
4205 "description": "string",
4206 "pattern": "string",
4207 "format": "date-time",
4208 "required": [
4209 "string"
4210 ],
4211 "enum": [
4212 "string"
4213 ],
4214 "title": "string"
4215 },
4216 "backoffPlan": {
4217 "type": "fixed",
4218 "maxRetries": 0,
4219 "baseDelaySeconds": 1,
4220 "excludedStatusCodes": [
4221 400,
4222 401,
4223 403,
4224 404
4225 ]
4226 },
4227 "variableExtractionPlan": {
4228 "schema": {
4229 "type": "string",
4230 "items": {},
4231 "properties": {},
4232 "description": "string",
4233 "pattern": "string",
4234 "format": "date-time",
4235 "required": [
4236 "string"
4237 ],
4238 "enum": [
4239 "string"
4240 ],
4241 "title": "string"
4242 },
4243 "aliases": [
4244 {
4245 "key": "string",
4246 "value": "string"
4247 }
4248 ]
4249 },
4250 "rejectionPlan": {
4251 "conditions": [
4252 {
4253 "type": "regex",
4254 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
4255 }
4256 ]
4257 }
4258 }
4259 ],
4260 "toolIds": [
4261 "string"
4262 ],
4263 "knowledgeBase": {
4264 "provider": "custom-knowledge-base",
4265 "server": {
4266 "timeoutSeconds": 20,
4267 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4268 "staticIpAddressesEnabled": false,
4269 "encryptedPaths": [
4270 "string"
4271 ],
4272 "url": "string",
4273 "headers": {},
4274 "backoffPlan": {
4275 "type": "fixed",
4276 "maxRetries": 0,
4277 "baseDelaySeconds": 1,
4278 "excludedStatusCodes": [
4279 400,
4280 401,
4281 403,
4282 404
4283 ]
4284 }
4285 }
4286 },
4287 "model": "claude-3-opus-20240229",
4288 "provider": "anthropic",
4289 "thinking": {
4290 "type": "enabled",
4291 "budgetTokens": 50500
4292 },
4293 "temperature": 1.1,
4294 "maxTokens": 5030,
4295 "emotionRecognitionEnabled": true,
4296 "numFastTurns": 1.1
4297 },
4298 "voice": {
4299 "cachingEnabled": true,
4300 "provider": "azure",
4301 "voiceId": "andrew",
4302 "chunkPlan": {
4303 "enabled": true,
4304 "minCharacters": 30,
4305 "punctuationBoundaries": "。",
4306 "formatPlan": {
4307 "enabled": true,
4308 "numberToDigitsCutoff": 2025,
4309 "replacements": [
4310 {
4311 "type": "exact",
4312 "replaceAllEnabled": false,
4313 "key": "string",
4314 "value": "string"
4315 }
4316 ],
4317 "formattersEnabled": "markdown"
4318 }
4319 },
4320 "speed": 1.1,
4321 "fallbackPlan": {
4322 "voices": [
4323 {
4324 "cachingEnabled": true,
4325 "provider": "azure",
4326 "voiceId": "andrew",
4327 "speed": 1.1,
4328 "chunkPlan": {
4329 "enabled": true,
4330 "minCharacters": 30,
4331 "punctuationBoundaries": "。",
4332 "formatPlan": {
4333 "enabled": true,
4334 "numberToDigitsCutoff": 2025,
4335 "replacements": {},
4336 "formattersEnabled": {}
4337 }
4338 },
4339 "oneOf": null
4340 }
4341 ]
4342 }
4343 },
4344 "firstMessage": "Hello! How can I help you today?",
4345 "firstMessageInterruptionsEnabled": false,
4346 "firstMessageMode": "assistant-speaks-first",
4347 "voicemailDetection": "off",
4348 "clientMessages": "conversation-update",
4349 "serverMessages": "assistant.started",
4350 "maxDurationSeconds": 600,
4351 "backgroundSound": "off",
4352 "modelOutputInMessagesEnabled": false,
4353 "transportConfigurations": [
4354 {
4355 "provider": "twilio",
4356 "timeout": 60,
4357 "record": false,
4358 "recordingChannels": "mono"
4359 }
4360 ],
4361 "observabilityPlan": {
4362 "provider": "langfuse",
4363 "tags": [
4364 "string"
4365 ],
4366 "promptName": "string",
4367 "promptVersion": 1.1,
4368 "traceName": "string",
4369 "metadata": {}
4370 },
4371 "credentials": [
4372 {
4373 "provider": "anthropic",
4374 "apiKey": "string",
4375 "name": "string"
4376 }
4377 ],
4378 "hooks": [
4379 {
4380 "on": "call.ending",
4381 "do": [
4382 {
4383 "type": "tool",
4384 "tool": {
4385 "messages": [
4386 {
4387 "contents": [
4388 {
4389 "type": {},
4390 "text": {},
4391 "language": {}
4392 }
4393 ],
4394 "type": "request-start",
4395 "blocking": false,
4396 "content": "string",
4397 "conditions": [
4398 {
4399 "operator": "eq",
4400 "param": "string",
4401 "value": "string"
4402 }
4403 ]
4404 }
4405 ],
4406 "type": "apiRequest",
4407 "method": "POST",
4408 "timeoutSeconds": 20,
4409 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4410 "encryptedPaths": [
4411 "string"
4412 ],
4413 "parameters": [
4414 {
4415 "key": "string",
4416 "value": {}
4417 }
4418 ],
4419 "name": "string",
4420 "description": "string",
4421 "url": "string",
4422 "body": {
4423 "type": "string",
4424 "items": {},
4425 "properties": {},
4426 "description": "string",
4427 "pattern": "string",
4428 "format": "date-time",
4429 "required": [
4430 "string"
4431 ],
4432 "enum": [
4433 "string"
4434 ],
4435 "title": "string"
4436 },
4437 "headers": {
4438 "type": "string",
4439 "items": {},
4440 "properties": {},
4441 "description": "string",
4442 "pattern": "string",
4443 "format": "date-time",
4444 "required": [
4445 "string"
4446 ],
4447 "enum": [
4448 "string"
4449 ],
4450 "title": "string"
4451 },
4452 "backoffPlan": {
4453 "type": "fixed",
4454 "maxRetries": 0,
4455 "baseDelaySeconds": 1,
4456 "excludedStatusCodes": [
4457 400,
4458 401,
4459 403,
4460 404
4461 ]
4462 },
4463 "variableExtractionPlan": {
4464 "schema": {
4465 "type": {},
4466 "items": {},
4467 "properties": {},
4468 "description": {},
4469 "pattern": {},
4470 "format": {},
4471 "required": {},
4472 "enum": {},
4473 "title": {}
4474 },
4475 "aliases": [
4476 {
4477 "key": "string",
4478 "value": "string"
4479 }
4480 ]
4481 },
4482 "rejectionPlan": {
4483 "conditions": [
4484 {
4485 "type": "regex",
4486 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
4487 }
4488 ]
4489 }
4490 },
4491 "toolId": "string"
4492 }
4493 ],
4494 "filters": [
4495 {
4496 "type": "oneOf",
4497 "key": "string",
4498 "oneOf": [
4499 "string"
4500 ]
4501 }
4502 ]
4503 }
4504 ],
4505 "tools:append": [
4506 {
4507 "messages": [
4508 {
4509 "contents": [
4510 {
4511 "type": "text",
4512 "text": "string",
4513 "language": "aa"
4514 }
4515 ],
4516 "type": "request-start",
4517 "blocking": false,
4518 "content": "string",
4519 "conditions": [
4520 {
4521 "operator": "eq",
4522 "param": "string",
4523 "value": "string"
4524 }
4525 ]
4526 }
4527 ],
4528 "type": "apiRequest",
4529 "method": "POST",
4530 "timeoutSeconds": 20,
4531 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4532 "encryptedPaths": [
4533 "string"
4534 ],
4535 "parameters": [
4536 {
4537 "key": "string",
4538 "value": {}
4539 }
4540 ],
4541 "name": "string",
4542 "description": "string",
4543 "url": "string",
4544 "body": {
4545 "type": "string",
4546 "items": {},
4547 "properties": {},
4548 "description": "string",
4549 "pattern": "string",
4550 "format": "date-time",
4551 "required": [
4552 "string"
4553 ],
4554 "enum": [
4555 "string"
4556 ],
4557 "title": "string"
4558 },
4559 "headers": {
4560 "type": "string",
4561 "items": {},
4562 "properties": {},
4563 "description": "string",
4564 "pattern": "string",
4565 "format": "date-time",
4566 "required": [
4567 "string"
4568 ],
4569 "enum": [
4570 "string"
4571 ],
4572 "title": "string"
4573 },
4574 "backoffPlan": {
4575 "type": "fixed",
4576 "maxRetries": 0,
4577 "baseDelaySeconds": 1,
4578 "excludedStatusCodes": [
4579 400,
4580 401,
4581 403,
4582 404
4583 ]
4584 },
4585 "variableExtractionPlan": {
4586 "schema": {
4587 "type": "string",
4588 "items": {},
4589 "properties": {},
4590 "description": "string",
4591 "pattern": "string",
4592 "format": "date-time",
4593 "required": [
4594 "string"
4595 ],
4596 "enum": [
4597 "string"
4598 ],
4599 "title": "string"
4600 },
4601 "aliases": [
4602 {
4603 "key": "string",
4604 "value": "string"
4605 }
4606 ]
4607 },
4608 "rejectionPlan": {
4609 "conditions": [
4610 {
4611 "type": "regex",
4612 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
4613 }
4614 ]
4615 }
4616 }
4617 ],
4618 "variableValues": {},
4619 "name": "string",
4620 "voicemailMessage": "string",
4621 "endCallMessage": "string",
4622 "endCallPhrases": [
4623 "string"
4624 ],
4625 "compliancePlan": {
4626 "hipaaEnabled": true,
4627 "pciEnabled": {
4628 "pciEnabled": false
4629 },
4630 "securityFilterPlan": {
4631 "enabled": false,
4632 "filters": [
4633 {}
4634 ],
4635 "mode": "sanitize",
4636 "replacementText": "[FILTERED]"
4637 },
4638 "recordingConsentPlan": {
4639 "type": "stay-on-line",
4640 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
4641 "voice": {
4642 "cachingEnabled": true,
4643 "provider": "azure",
4644 "voiceId": "andrew",
4645 "chunkPlan": {
4646 "enabled": true,
4647 "minCharacters": 30,
4648 "punctuationBoundaries": "。",
4649 "formatPlan": {
4650 "enabled": true,
4651 "numberToDigitsCutoff": 2025,
4652 "replacements": [
4653 {}
4654 ],
4655 "formattersEnabled": "markdown"
4656 }
4657 },
4658 "speed": 1.1,
4659 "fallbackPlan": {
4660 "voices": [
4661 {
4662 "cachingEnabled": true,
4663 "provider": "azure",
4664 "voiceId": "andrew",
4665 "speed": 1.1,
4666 "chunkPlan": {},
4667 "oneOf": null
4668 }
4669 ]
4670 }
4671 },
4672 "waitSeconds": 3
4673 }
4674 },
4675 "metadata": {},
4676 "backgroundSpeechDenoisingPlan": {
4677 "smartDenoisingPlan": {
4678 "enabled": true
4679 },
4680 "fourierDenoisingPlan": {
4681 "enabled": false,
4682 "mediaDetectionEnabled": true,
4683 "staticThreshold": -35,
4684 "baselineOffsetDb": -15,
4685 "windowSizeMs": 3000,
4686 "baselinePercentile": 85
4687 }
4688 },
4689 "analysisPlan": {
4690 "summaryPlan": {
4691 "messages": [
4692 {}
4693 ],
4694 "enabled": true,
4695 "timeoutSeconds": 1.1
4696 },
4697 "structuredDataPlan": {
4698 "messages": [
4699 {}
4700 ],
4701 "enabled": true,
4702 "schema": {
4703 "type": "string",
4704 "items": {},
4705 "properties": {},
4706 "description": "string",
4707 "pattern": "string",
4708 "format": "date-time",
4709 "required": [
4710 "string"
4711 ],
4712 "enum": [
4713 "string"
4714 ],
4715 "title": "string"
4716 },
4717 "timeoutSeconds": 1.1
4718 },
4719 "successEvaluationPlan": {
4720 "rubric": "NumericScale",
4721 "messages": [
4722 {}
4723 ],
4724 "enabled": true,
4725 "timeoutSeconds": 1.1
4726 },
4727 "minMessagesThreshold": 1.1,
4728 "structuredDataMultiPlan": [
4729 {
4730 "key": "string",
4731 "plan": {
4732 "messages": [
4733 {}
4734 ],
4735 "enabled": true,
4736 "schema": {
4737 "type": "string",
4738 "items": {},
4739 "properties": {},
4740 "description": "string",
4741 "pattern": "string",
4742 "format": "date-time",
4743 "required": [
4744 "string"
4745 ],
4746 "enum": [
4747 "string"
4748 ],
4749 "title": "string"
4750 },
4751 "timeoutSeconds": 1.1
4752 }
4753 }
4754 ],
4755 "outcomeIds": [
4756 "string"
4757 ]
4758 },
4759 "artifactPlan": {
4760 "recordingEnabled": true,
4761 "recordingFormat": "wav;l16",
4762 "recordingUseCustomStorageEnabled": true,
4763 "videoRecordingEnabled": false,
4764 "fullMessageHistoryEnabled": false,
4765 "pcapEnabled": true,
4766 "pcapS3PathPrefix": "/pcaps",
4767 "pcapUseCustomStorageEnabled": true,
4768 "loggingEnabled": true,
4769 "loggingUseCustomStorageEnabled": true,
4770 "transcriptPlan": {
4771 "enabled": true,
4772 "assistantName": "string",
4773 "userName": "string"
4774 },
4775 "recordingPath": "string",
4776 "structuredOutputIds": [
4777 "string"
4778 ],
4779 "structuredOutputs": [
4780 {
4781 "name": "string",
4782 "schema": {
4783 "type": "string",
4784 "items": {},
4785 "properties": {},
4786 "description": "string",
4787 "pattern": "string",
4788 "format": "date-time",
4789 "required": [
4790 "string"
4791 ],
4792 "enum": [
4793 "string"
4794 ],
4795 "title": "string"
4796 },
4797 "type": "ai",
4798 "regex": "string",
4799 "model": {
4800 "provider": "openai",
4801 "model": "gpt-5.4",
4802 "temperature": 1.1,
4803 "maxTokens": 5030
4804 },
4805 "compliancePlan": {
4806 "forceStoreOnHipaaEnabled": false
4807 },
4808 "description": "string",
4809 "assistantIds": [
4810 "string"
4811 ],
4812 "workflowIds": [
4813 "string"
4814 ]
4815 }
4816 ],
4817 "scorecardIds": [
4818 "string"
4819 ],
4820 "scorecards": [
4821 {
4822 "metrics": [
4823 {
4824 "structuredOutputId": "string",
4825 "conditions": [
4826 {}
4827 ]
4828 }
4829 ],
4830 "name": "string",
4831 "description": "string",
4832 "assistantIds": [
4833 "string"
4834 ]
4835 }
4836 ],
4837 "loggingPath": "string"
4838 },
4839 "startSpeakingPlan": {
4840 "waitSeconds": 0.4,
4841 "smartEndpointingPlan": {
4842 "provider": "vapi"
4843 },
4844 "customEndpointingRules": [
4845 {
4846 "type": "assistant",
4847 "regex": "string",
4848 "regexOptions": [
4849 {
4850 "type": "ignore-case",
4851 "enabled": true
4852 }
4853 ],
4854 "timeoutSeconds": 1.1
4855 }
4856 ],
4857 "transcriptionEndpointingPlan": {
4858 "onPunctuationSeconds": 0.1,
4859 "onNoPunctuationSeconds": 1.5,
4860 "onNumberSeconds": 0.5
4861 },
4862 "smartEndpointingEnabled": false
4863 },
4864 "stopSpeakingPlan": {
4865 "numWords": 0,
4866 "voiceSeconds": 0.2,
4867 "backoffSeconds": 1,
4868 "acknowledgementPhrases": [
4869 "i understand",
4870 "i see",
4871 "i got it",
4872 "i hear you",
4873 "im listening",
4874 "im with you",
4875 "right",
4876 "okay",
4877 "ok",
4878 "sure",
4879 "alright",
4880 "got it",
4881 "understood",
4882 "yeah",
4883 "yes",
4884 "uh-huh",
4885 "mm-hmm",
4886 "gotcha",
4887 "mhmm",
4888 "ah",
4889 "yeah okay",
4890 "yeah sure"
4891 ],
4892 "interruptionPhrases": [
4893 "stop",
4894 "shut",
4895 "up",
4896 "enough",
4897 "quiet",
4898 "silence",
4899 "but",
4900 "dont",
4901 "not",
4902 "no",
4903 "hold",
4904 "wait",
4905 "cut",
4906 "pause",
4907 "nope",
4908 "nah",
4909 "nevermind",
4910 "never",
4911 "bad",
4912 "actually"
4913 ]
4914 },
4915 "monitorPlan": {
4916 "listenEnabled": false,
4917 "listenAuthenticationEnabled": false,
4918 "controlEnabled": false,
4919 "controlAuthenticationEnabled": false,
4920 "monitorIds": [
4921 "123e4567-e89b-12d3-a456-426614174000"
4922 ]
4923 },
4924 "credentialIds": [
4925 "string"
4926 ],
4927 "server": {
4928 "timeoutSeconds": 20,
4929 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
4930 "staticIpAddressesEnabled": false,
4931 "encryptedPaths": [
4932 "string"
4933 ],
4934 "url": "string",
4935 "headers": {},
4936 "backoffPlan": {
4937 "type": "fixed",
4938 "maxRetries": 0,
4939 "baseDelaySeconds": 1,
4940 "excludedStatusCodes": [
4941 400,
4942 401,
4943 403,
4944 404
4945 ]
4946 }
4947 },
4948 "keypadInputPlan": {
4949 "enabled": true,
4950 "timeoutSeconds": 1.1,
4951 "delimiters": "#"
4952 }
4953 },
4954 "workflowId": "string",
4955 "workflow": {
4956 "nodes": [
4957 {
[...]
